
/* MX LIBRARY FUNCTION:  mxip_image_s_info_f1
 *
 * PURPOSE:  Dump information about a mxip_image_s structure.
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000313
 *
 * MOD:  3
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxip_image_s_info_f1( 
  struct mxip_image_s *image
) {

  char mxfunc[] = "mxip_image_s_info_f1";
  int status;

  status = 0;

  if ((struct mxip_image_s *)NULL==image) {
    status = 1;
    sprintf (MX.tmpmsg, "#   image==(struct mxip_image_s *)NULL\n");
    goto error;
  }

  if (MX_OPENED!=image->openedi) {
    printf ("#   mxip_image_s->openedi? NO!\n");
    
  } else {
    printf ("#   mxip_image_s->openedi? YES!\n");
  }
  printf ("#   mxip_image_s->nxi=%d\n", image->nxi);
  printf ("#   mxip_image_s->nyi=%d\n", image->nyi);
  printf ("#   mxip_image_s->npxi=%d\n", image->npxi);
  printf ("#   mxip_image_s->llx0i=%d\n", image->llx0i);
  printf ("#   mxip_image_s->lly0i=%d\n", image->lly0i);    
  printf ("#   mxip_image_s->mpxi=%d\n", image->mpxi);
  if ((double *)NULL==image->vectord) {
    printf ("#   mxip_image_s->vectord==NULL (--> NOT ALLOCATED)\n");
  } else {
    printf ("#   mxip_image_s->vectord!=NULL (--> ALLOCATED)\n");
  }
  if ((double **)NULL==image->matrixd) {
    printf ("#   mxip_image_s->matrixd==NULL (--> NOT ALLOCATED)\n");
  } else {
    printf ("#   mxip_image_s->matrixd!=NULL (--> ALLOCATED)\n");
  }
  printf ("#   mxip_image_s->comment=\"%s\"\n", image->comment);

ok:
  status = 0;
  goto bye;

error:
  mxp_errmsg_set_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return (status);

}
/* end-of-file */

