
/* MX LIBRARY FUNCTION:  mxiraf_cvos_error_check_f0
 *
 * PURPOSE:  Any CVOS errors?
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000309
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h" 

int mxiraf_cvos_error_check_f0 (void) {

  char mxfunc[] = "mxiraf_cvos_error_check_f0";
  int status;

  if (c_iraferr()) {
    status = 1;
    sprintf (
      MX.tmpmsg,
      "#   IRAF error code %d (trapped by CVOS)\n"
      "#   IRAF message:\n"
      "#     %s\n",
      c_iraferr(), 
      c_iraferrmsg() 
    );
    goto error;
  }

ok:
  status = 0;
  goto bye;

error:
  mxp_errmsg_set_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return (status);

}
/* end-of-file */

