
/* MX LIBRARY FUNCTION:  mxiraf_image_s_info_f1
 *
 * PURPOSE:  Dump information about a mxiraf_image_s structure. 
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000313
 *
 * MOD:  3
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxiraf_image_s_info_f1( 
  struct mxiraf_image_s *image
) {

  char mxfunc[] = "mxiraf_image_s_info_f1";
  int status;

  if ((struct mxiraf_image_s *)NULL==image) {
    status = 1;
    sprintf (MX.tmpmsg, "#   im==(struct mxiraf_image_s *)NULL\n");
    goto error;
  }

  printf ("#\n");
  if (MX_OPENED!=image->openedi) {
    printf ("#   mxiraf_image_s->openedi? NO!\n");
    
  } else {
    printf ("#   mxiraf_image_s->openedi? YES!\n");
  }
  printf ("#   mxiraf_image_s->name=\"%s\"\n", image->name);
  printf ("#   mxiraf_image_s->section=\"%s\"\n", image->section);
  if (image->ptr==(IRAFPointer)IRAF_NULL) {
    printf ("#   mxiraf_image_s->ptr==(IRAFPointer)IRAF_NULL (--> NOT allocated)\n");
  } else {
    printf ("#   mxiraf_image_s->ptr!=(IRAFPointer)IRAF_NULL (--> ALLOCATED)\n");
  }
  printf ("#   mxiraf_image_s->pxtype=%d\n", image->pxtype);
  printf ("#   mxiraf_image_s->iomode=%d\n", image->iomode);
  printf ("#   mxiraf_image_s->ndimi=%d\n", image->ndimi);
  printf ("#   mxiraf_image_s->NXI=%d\n", image->NXI);
  printf ("#   mxiraf_image_s->NYI=%d\n", image->NYI);
  printf ("#   mxiraf_image_s->LLX0I=%d\n", image->LLX0I);
  printf ("#   mxiraf_image_s->LLY0I=%d\n", image->LLY0I);
  printf ("#   mxiraf_image_s->data is defined as (struct mxip_image_s *)data :\n");
  if ((struct mxip_image_s *)NULL==image->data) {
    printf ("#   mxiraf_image_s->data==NULL (--> NOT allocated)\n");
  } else {
    printf ("#\n");
    mxip_image_s_info_f1 (image->data);
  }
  printf ("#\n");

ok:
  status = 0;
  goto bye;

error:
  mxp_errmsg_set_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return (status);

}
/* end-of-file */

