
/* MX LIBRARY FUNCTION:  mxiraf_image_s_limits_check_f5
 *
 * PURPOSE:  Check limits against a mxiraf_image_s structure. 
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000309
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxiraf_image_s_limits_check_f5( 
  struct mxiraf_image_s *image,
  int ix0b,
  int ix0e,
  int iy0b,
  int iy0e
) {

  char mxfunc[] = "mxiraf_image_s_limits_check_f5";
  int status;

  int ixmn;
  int ixmx;
  int iymn;
  int iymx;

  status = 0;

  if ( mxiraf_image_s_ok_f1 (image) ) {
    status = 1;
    goto error;
  }

  if ( mxip_image_s_limits_check_f5 (image->data, ix0b, ix0e, iy0b, iy0e) ) {
    status = 2;
    goto error;
  }

ok:
  status = 0;
  goto bye;

error:
  mxp_errmsg_append_f3 (mxfunc, status, "");
  goto bye;

bye:
  return (status);

}
/* end-of-file */

