
/* MX LIBRARY FUNCTION:  mxp_int_range_f3
 *
 * PURPOSE:  Is (int)value OK? 
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000309
 *
 * MOD: 2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include "mx.h"

int mxp_int_range_f3( 
  int value,
  int minimum,
  int maximum
) {

  char mxfunc[]= "mxp_int_range_f3";
  int status = 0;

  if (maximum<minimum) {
    status = 1;
    sprintf (MX.tmpmsg, "#   maximum=%d < minimum=%d\n", maximum, minimum);
    goto error;
  }

  if (value<minimum) {
    status = 2;
    sprintf (MX.tmpmsg, "#   value=%d < minimum=%d\n", value, minimum);
    goto error;
  }

  if (value>maximum) {
    status = 3;
    sprintf (MX.tmpmsg, "#   value=%d > maximum=%d\n", value, maximum);
    goto error;
  }

ok:
  status = 0;
  goto bye;

error:
  mxp_errmsg_set_f3 (mxfunc, status, MX.tmpmsg);

bye:
  return (status);

}
/* end-of-file */

