/*      FILE: /mxtools/src/mximstat/img_g2d.c
 *   PURPOSE: 
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT29
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int inc_ImageS_Add_Gaussian2d_i2(
  inc_ParS *ParS,
  inc_ImageS *ImageS
) {

  char mxfunc[] = "inc_ImageS_Add_Gaussian2d_i2";
  int mxstatus = 0;
  int status = 1;

  int x;
  int nx;
  int y;
  int ny;
  const int res=5;

  double xgp;
  double ygp;
  double ig;
  double sg;
  double xp;
  double yp;
  double zp;

  nx = ImageS->nxi;
  ny = ImageS->nyi;

  ig = ParS->volume;
  xgp = (ParS->x) - (ImageS->llx0i) - 1.5;
  ygp = (ParS->y) - (ImageS->lly0i) - 1.5;
  sg = ParS->sigma;

  for (y=0; y<ny; ++y) { 
  yp = y - 0.5;
  for (x=0; x<nx; ++x) {
    xp = x - 0.5;
    Gaussian2d_v8( ig, xgp, ygp, sg, res, xp, yp, &zp);
    ImageS->matrixd[y][x] += zp;
  }
  }

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  return(status);

}
/* end-of-file */

