
/*      FILE: /mxtools/src/mximg2d/par_print.c
 *   PURPOSE: Print the ParS
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "inc_ParS_Print_v2";
  int status;
  int isNullFile;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  Banner_v2 (ofp, "#");

  fprintf (ofp, "# mximg2d\n");
  fprintf (ofp, "#      image = \"%s\"\n", ParS->image);
  fprintf (ofp, "#     volume = %g\n", ParS->volume);
  fprintf (ofp, "#      sigma = %g\n", ParS->sigma);
  fprintf (ofp, "#          x = %g\n", ParS->x);
  fprintf (ofp, "#          y = %g\n", ParS->y);
  fprintf (ofp, "#  (MXIMG2D = \"%s\")\n", ParS->MXIMG2D );
  fprintf (ofp, "#  (PROGFILE = \"%s\")\n", ParS->PROGFILE );
  fprintf (ofp, "#  (PROGDATE = \"%s\")\n", ParS->PROGDATE );
  fprintf (ofp, "#  (PROGTIME = \"%s\")\n", ParS->PROGTIME );

bye:
  return;

}
/* end-of-file */

