
/*      FILE:  /mxtools/src/mximstat/img_open.c
 *   PURPOSE:  Open a MXIMSTAT ImageS
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001OCT26
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int inc_ImageS_Open_i2 (
  inc_ParS *ParS,
  inc_ImageS *ImageS
){

  char mxfunc[] = "inc_ImageS_Open_i2";
  int mxstatus=0;
  int status;  
  IRAFPointer ifp;

  strcpy( ImageS->ifn, ParS->image);  
  mxstatus++;
  status = mxiraf_image_s_open_f3 
    (&ImageS->mxIrafImage, ImageS->ifn, IRAF_READ_WRITE);
  if (status) goto mx_error;

  ImageS->matrixd = ImageS->mxIrafImage->data->matrixd;
  ImageS->vectord = ImageS->mxIrafImage->data->vectord;
  ImageS->npxi = ImageS->mxIrafImage->data->npxi;
  ImageS->llx0i = ImageS->mxIrafImage->data->llx0i;
  ImageS->lly0i = ImageS->mxIrafImage->data->lly0i;
  ImageS->xdimi = ImageS->mxIrafImage->data->nxi;
  ImageS->ydimi = ImageS->mxIrafImage->data->nyi;
  ImageS->nxi = ImageS->xdimi;
  ImageS->nyi = ImageS->ydimi;

  ifp = ImageS->mxIrafImage->ptr;

ok:
  status = 0;
  goto bye;

mx_error:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, "");
  goto bye;

mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  return(status);
  
}
/* end-of-file */


