/*      FILE: /mxtools/src/mximstat/inc.h
 *   PURPOSE: MXIMSTAT routines *must* include this file!
 *    AUTHOR: K. J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001NOV04
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#ifndef MXIMSTAT_H

# define MXIMSTAT_H         "MXIMSTAT"
# define MXIMSTAT_AUTHOR    "Kenneth J. Mighell"
# define MXIMSTAT_EMAIL     "mighell@noao.edu"
# define MXIMSTAT_COPYRIGHT "Copyright (C) 2001 Association of Universities for Research in Astronomy Inc."
# define MXIMSTAT_VERSION   "2001OCT30X"
# define MXIMSTAT_DATE      "20011030"

typedef struct {
  struct mxiraf_image_s *mxIrafImage;
  char ifn[MX_IRAF_SZ_FNAME+1];
  double **matrixd;
  double *vectord;
  int llx0i;
  int lly0i;
  int nxi;
  int nyi;
  int xdimi;
  int ydimi;
  int npxi;
} inc_ImageS;

typedef struct {
  char image[MX_IRAF_SZ_FNAME+1];
  int image_is_INDEF;
  double omean;
  double osigma;
  double oadev;
  double ormean;
  double orsigma;
  double oradev;
  int ornpix;
  double omin;
  int ominx;
  int ominy;
  double omax;
  int omaxx;
  int omaxy;
  double osum;
  double osumsq;
  int onpix;
  char MXIMSTAT[8+1];
  char PROGFILE[MX_IRAF_SZ_FNAME+1];
  char PROGDATE[11+1];
  char PROGTIME[8+1];
} inc_ParS;

extern
int inc_ParS_Get_i1 (
  inc_ParS *ParS
)
;

extern
int inc_ParS_Put_i1 (
  inc_ParS *ParS
)
;

extern
void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
)
;

extern
void inc_Banner_v2 (
  FILE *ofp,
  char *tag
)
;

extern 
int inc_IrafParDoubleGet_v4 (
 char text[],
 double defaultd,
 double *valued_p,
 int *is_INDEF_p
)
;

extern 
int inc_IrafParStringGet_v5 (
 char text[],
 char default_value[],
 char value[],
 int maxch,
 int *is_INDEF_p
)
;

extern 
int inc_IrafParIntegerGet_v4 (
 char text[],
 int defaulti,
 int *valuei_p,
 int *is_INDEF_p
)
;

extern 
int inc_ImageS_Open_i2 (
  inc_ParS *ParS,
  inc_ImageS *ImageS
)
;

extern 
int inc_ImageS_Close_i1 (
  inc_ImageS *ImageS
)
;

extern
void VecdRobustMdn_v6 (
  double *pxv,
  int px_n,
  double *tv,
  int *median_n_,
  double *median_,
  double *adev_
)
;

#endif
/* end-of-file */










