/*      FILE: mxtools/src/mximstat/mximstat.c
 *   PURPOSE: Shift a MATPHOT PSF file
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

IRAFTASK (mximstat) {
 int i;
 extern int iraf_mximstat (void);
 i = iraf_mximstat ();
}

/* 
 * ############################################################################
 */
int iraf_mximstat(void) {

  char mxfunc[] = "iraf_mximstat";
  int mxstatus=0;
  int status;

  inc_ParS ParS;
  inc_ImageS ImageS;

  mxstatus++;
  status = mxp_init_f0();
  if (status) goto mx_error;

  mxstatus++;
  status = inc_ParS_Get_i1 (&ParS);
  if (status) goto mx_error;

  mxstatus++;
  status = inc_ImageS_Open_i2 (&ParS, &ImageS);
  if (status) goto mx_error;

  /*
  ** =========================================================================
  */

  mxstatus++;
  status = inc_ImageS_Stat_i2 (&ParS, &ImageS);
  if (status) goto mx_error;

  /*
  ** =========================================================================
  */

  mxstatus++;
  status = inc_ParS_Put_i1 (&ParS);
  if (status) goto mx_error;

  inc_ParS_Print_v2 (&ParS, stdout);

ok:
  status = 0;
  goto bye;

mx_error:
mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  mxp_errmsg_dump_f0();
  goto bye;

bye:
  inc_ImageS_Close_i1( &ImageS );
  fflush (stdout);
  return(status);

}
/* end-of-file */







