 
/*      FILE: /mxtools/src/mximstat/par_get.c
 *   PURPOSE: Get ParS input parameters
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int inc_ParS_Get_i1 (
  inc_ParS *ParS
){
  char mxfunc[] = "inc_ParS_Get_i1";
  int mxstatus = 0;
  int status;
  double tx;

  mxstatus++;
  status = IrafParStringGet_v5( 
    "image", "", ParS->image, sizeof(ParS->image), &ParS->image_is_INDEF );
  if (status) goto mx_error1;

  strcpy( ParS->MXIMSTAT, MXIMSTAT_DATE);
  strcpy( ParS->PROGFILE, "mxtools$src/mximstat/mximstat.c");
  strcpy( ParS->PROGDATE, __DATE__);
  strcpy( ParS->PROGTIME, __TIME__);

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  status = 1;
  goto bye;

bye:
  return(status);

}
/* end-of-file */









