
/*      FILE: /mxtools/src/mximstat/par_print.c
 *   PURPOSE: Print the ParS
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "inc_ParS_Print_v2";
  int status;
  int isNullFile;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  Banner_v2 (ofp, "#");

  fprintf (ofp, "# mximstat\n");
  fprintf (ofp, "#      image = \"%s\"\n", ParS->image);
  fprintf (ofp, "#      omean = %g\n", ParS->omean);
  fprintf (ofp, "#     osigma = %g\n", ParS->osigma);
  fprintf (ofp, "#      oadev = %g\n", ParS->oadev);
  fprintf (ofp, "#     ormean = %g\n", ParS->ormean);
  fprintf (ofp, "#    orsigma = %g\n", ParS->orsigma);
  fprintf (ofp, "#     ornpix = %d\n", ParS->ornpix);
  fprintf (ofp, "#     oradev = %g\n", ParS->oradev);
  fprintf (ofp, "#       omin = %g\n", ParS->omin);
  fprintf (ofp, "#      ominx = %d\n", ParS->ominx);
  fprintf (ofp, "#      ominy = %d\n", ParS->ominy);
  fprintf (ofp, "#       omax = %g\n", ParS->omax);
  fprintf (ofp, "#      omaxx = %d\n", ParS->omaxx);
  fprintf (ofp, "#      omaxy = %d\n", ParS->omaxy);
  fprintf (ofp, "#      onpix = %d\n", ParS->onpix);
  fprintf (ofp, "#       osum = %g\n", ParS->osum);
  fprintf (ofp, "#     osumsq = %g\n", ParS->osumsq);
  fprintf (ofp, "#  (MXIMSTAT = \"%s\")\n", ParS->MXIMSTAT );
  fprintf (ofp, "#  (PROGFILE = \"%s\")\n", ParS->PROGFILE );
  fprintf (ofp, "#  (PROGDATE = \"%s\")\n", ParS->PROGDATE );
  fprintf (ofp, "#  (PROGTIME = \"%s\")\n", ParS->PROGTIME );

bye:
  return;

}
/* end-of-file */

