
/*      FILE: /mxtools/src/mximstat/par_put.c
 *   PURPOSE: Put MXIMSTAT ParS parameters
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

int inc_ParS_Put_i1 (
  inc_ParS *ParS
){
  char mxfunc[] = "ParS_Put_i1";
  int mxstatus = 0;
  int status;

  mxstatus++;
  c_clputd ("omean", ParS->omean);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osigma", ParS->osigma);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oadev", ParS->oadev);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("ormean", ParS->ormean);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("orsigma", ParS->orsigma);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oradev", ParS->oradev);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("ornpix", ParS->ornpix);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("omin", ParS->omin);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("ominx", ParS->ominx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("ominy", ParS->ominy);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("omax", ParS->omax);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("omaxx", ParS->omaxx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("omaxy", ParS->omaxy);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("onpix", ParS->onpix);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osum", ParS->osum);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("MXIMSTAT", ParS->MXIMSTAT);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGFILE", ParS->PROGFILE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGDATE", ParS->PROGDATE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGTIME", ParS->PROGTIME);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  status = 1;
  goto bye;

bye:
  return(status);

}
/* end-of-file */









