
/* MX LIBRARY FUNCTION:  mxqdphot0_qds2_vf5
 *
 * PURPOSE:  Determine aperture signal and area
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000316
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include <mx.h>
#include "mxqdphot.h"

void mxqdphot0_qds2_vf5 (
  double **buff, 
  int x1, 
  int y1, 
  double *sgnl_, 
  int *sgnln_
){

  char mxfunc[] = "mxqdphot0_qds2_vf5";

  double sgnl;
  int sgnln;
#define SIZE 21
  int xxx[SIZE] = {
      2,3,4,
    1,2,3,4,5,
    1,2,3,4,5,
    1,2,3,4,5,
      2,3,4
  };
  int yyy[SIZE] = {
      1,1,1,
    2,2,2,2,2,
    3,3,3,3,3,
    4,4,4,4,4,
      5,5,5
  };
  int xx[5+1]; /* SPP->C: 0th element added to simplify conversion */
  int yy[5+1]; /* SPP->C: 0th element added to simplify conversion */
  double px;
  int k;
  int x;
  int y;

  x = x1 - 1; /* SPP->C: C uses a zero-offset index */
  xx[1] = x - 2;
  xx[2] = x - 1;
  xx[3] = x;
  xx[4] = x + 1;
  xx[5] = x + 2;

  y = y1 - 1; /* SPP->C: C uses a zero-offset index */
  yy[1] = y - 2;
  yy[2] = y - 1;
  yy[3] = y;
  yy[4] = y + 1;
  yy[5] = y + 2;

  sgnl = 0;
  for (k=0; k<SIZE; ++k) { 
    px = buff[yy[yyy[k]]][xx[xxx[k]]];
    sgnl = sgnl + px;
  }

  sgnln = SIZE;

bye:
  *sgnl_ = sgnl;
  *sgnln_ = sgnln;
  return;

#undef SIZE
}
/* end-of-file */

