
/* MX LIBRARY FUNCTION:  mxqdphot0_qdt1_vf5;
 *
 * PURPOSE:  Dump the results
 *
 * AUTHOR:  K. J. Mighell (mighell@noao.edu)
 *
 * LANGUAGE:  ANSI C
 *
 * DOCUMENTATION:  http://www.noao.edu/staff/mighell/mx
 *
 * DATE:  20000316
 *
 * MOD:  2
 * 
 * Copyleft (L) 2000 Kenneth John Mighell
 */

#include <mx.h>
#include "mxqdphot.h"

void mxqdphot0_qdt1_vf5 (
  double *outv, 
  int szoutv, 
  int nstr, 
  FILE *out1fd, 
  FILE *out2fd
){

  char mxfunc[] = "mxqdhot0_qdt1_vf5";

  int j;
  int index;
  int ok;
  FILE *ofd;

  for (j=0; j<nstr; ++j) {

    index = j*22 - 1;
    fprintf (
      out1fd, 
      "%9.2f%9.2f%6d%3d%10.3f%10.3f%13.7e%13.7e%13.7e%13.7e%4d\n",
      outv[index+1],
      outv[index+2],
      (int)(outv[index+3]+0.5),
      (int)(outv[index+4]+0.5),
      outv[index+5],
      outv[index+6],
      outv[index+7],
      outv[index+8],
      outv[index+9],
      outv[index+10],
      (int)(outv[index+11]+0.5)
    );

    index += 11;
    fprintf (
      out2fd, 
      "%9.2f%9.2f%6d%3d%10.3f%10.3f%13.7e%13.7e%13.7e%13.7e%4d\n",
      outv[index+1],
      outv[index+2],
      (int)(outv[index+3]+0.5),
      (int)(outv[index+4]+0.5),
      outv[index+5],
      outv[index+6],
      outv[index+7],
      outv[index+8],
      outv[index+9],
      outv[index+10],
      (int)(outv[index+11]+0.5)
    );

  }

  for (j=1; j<=2; ++j) {
    ok = MX_TRUE;
    if (j == 1) ofd = out1fd;
    if (j == 2) {
      if (out1fd == out2fd) {
        ok = MX_FALSE;
      } else {
        ofd = out2fd;
      }
    }
    if (ok) {
      fprintf (ofd, "#     (1)");
      fprintf (ofd, "      (2)");
      fprintf (ofd, "   (3)");
      fprintf (ofd, " (4)");
      fprintf (ofd, "      (5)");
      fprintf (ofd, "       (6)");
      fprintf (ofd, "          (7)");
      fprintf (ofd, "          (8)");
      fprintf (ofd, "          (9)");
      fprintf (ofd, "         (10)");
      fprintf (ofd, " (11)");
      fprintf (ofd, "\n");
      fprintf (ofd, "#\n");
      fprintf (ofd, "# column description\n");
      fprintf (ofd, "#    (1) X coordinate position [px]\n"); 
      fprintf (ofd, "#    (2) Y coordinate position [px]\n"); 
      fprintf (ofd, "#    (3) count\n"); 
      fprintf (ofd, "#    (4) image (1|2)\n"); 
      fprintf (ofd, "#    (5) stellar magnitude [0 mag -> 1 electrons]\n"); 
      fprintf (ofd, "#    (6) error of stellar magnitude [mag]\n"); 
      fprintf (ofd, "#    (7) signal within stellar aperture [electrons]\n"); 
      fprintf (ofd, "#    (8) area of stellar aperture [px]\n"); 
      fprintf (ofd, 
	"#    (9) sky value of background aperture [electrons]\n"); 
      fprintf (ofd, "#   (10) error of sky value [electrons]\n"); 
      fprintf (ofd, 
	"#   (11) number of pixels used to estimate sky value [px]\n"); 
    }
  }

ok:
  return;

}
/* end-of-file */



