stsdas
graphics
stplot
mxtools
keep
{#
# IRAF/MXTOOLS/MXQDPHOT script: ngc362.cl
#
# Analyze HST WFPC2 observation (WF3) of the 
# Galactic globular cluster NGC 362
#
# usage:
#
# cl> cl < mxtools$src/mxqdphot/verify/ngc362.cl
#

set data = "mxtools$data/"

!echo "#"
!echo "# ngc362.cl: START @ "`date` "============================="
!echo "#"

!echo "#"
!echo "#"
!\mv .demo_start >& /dev/null
!\mv .demo_stop >& /dev/null
!date > .demo_start
!echo "# --> mxqdphot: START @ "`cat .demo_start` 

!\mv f439w.mag /tmp >& /dev/null
!\mv f555w.mag /tmp >& /dev/null
!\mv *.mag /tmp >& /dev/null
mxqdphot \
  data$ngc362_f439w_wf3.fits[60:790,60:790] \
  14.0 \
  200. \
  42000. \
  data$ngc362_f555w_wf3.fits[60:790,60:790] \
  14.0 \
  f439w.mag \
  f555w.mag

!date > .demo_stop
!echo "# --> mxqdphot:  STOP @ "`cat .demo_stop` 

!echo "#"
!echo "#"
unlearn display
!echo "# Display the F439W observation of NGC 362 in frame 1"
display data$$ngc362_f439w_wf3.fits[60:790,60:790] 1 fill+ erase+
!echo "# ... and show the measured stars in f439w.mag with green points"
tvmark 1 f439w.mag color=205 mark=point
!echo "# ... show the last 35 lines of f439w.mag"
!tail -35 f439w.mag
!echo "#"
!echo "#"
!echo "# Display the F555W observation of NGC 362 in frame 2"
display data$$ngc362_f555w_wf3.fits[60:790,60:790] 2 fill+ erase+
unlearn tvmark
!echo "# ... and show the measured stars in f555w.mag with red points"
tvmark 2 f555w.mag color=204 mark=point
!echo "# ... show the last 35 lines of f555w.mag"
!tail -35 f555w.mag

!echo "#"
!echo "#"
!echo "# Now plot results as a Color-Magnitde Diagram (CMD)"
!echo "#"
#!echo "# N.B. The following packages must be previously loaded:"
#!echo "# -----> stsdas"
#!echo "# -----> graphics"
#!echo "# -----> stplot"
#!echo "#"
gflush
igi device="stdgraph" < data$$ngc362.igi
gflush
igi device="eps" < data$$ngc362.igi
gflush
#igi device="stdplot" < data$$ngc362.igi
#gflush
#!echo "# The plot has been sent to the stdplot device\!"
!echo "#"
!echo "#"
!echo "# Once again, those MXQDPHOT execution times were:"
!echo "#"
!echo "# --> mxqdphot: START @ "`cat .demo_start` 
!echo "# --> mxqdphot:  STOP @ "`cat .demo_stop` 
!echo "#"
!echo "#"
!echo "# That's all folks\!"
!echo "#"
!echo "# ngc362.cl:  STOP @ "`date` "============================="
!echo "#"

}
#


