#
procedure psfdelx (in_, out_)
string in_="mxtools$data/psfg2d.fits" {prompt="Name of input PSF image?"}
string out_="psfdelx.fits" {prompt="Name of output DELX [del(PSF)/del(X)] image?"}
bool verbose=no {prompt="Verbose?"}
string version="2001DEC20"

begin
string in
string out

version="2001DEC20"

if (verbose) print  ( "PSFDELX: BEGIN" )

# Make sure correct packages are loaded
if (!defpac("images")) {
  print "Please load the IMAGES package"; 
  goto bye
}
if (!defpac("imfilter")) {
  print "Please load the IMFILTER package of the IMAGES package"; 
  goto bye
}
if (!defpac("imutil")) {
  print "Please load the IMUTIL package of the IMAGES package"; 
  goto bye
}
if (!defpac("stsdas")) {
  print "Please load the STSDAS package"; 
  goto bye
}
if (!defpac("toolbox")) {
  print "Please load the TOOLBOX package of the STSDAS package"; 
  goto bye
}
if (!defpac("imgtools")) {
  print "Please load the IMGTOOLS package of the STSDAS.TOOLBOX package"; 
  goto bye
}

in = in_
if (!access(in)) {
  print ( "PSFDELX *** ERROR *** Can not access input file!" )
  goto bye;
}
out = out_
if (access(out)) {
  print ( "PSFDELX *** ERROR *** Output file already exists!" )
  goto bye;
}

unlearn images.imfilter.convolve
images.imfilter.convolve (in, out, 
  xkernel="0.0833 -0.6667 0.6667 -0.0833", ykernel="1.0", bilinear=yes)

hedit ( images=out, fields="psfdelx", value=version, add=yes, verify=no, 
  update=yes, > "dev$null")
  hedit ( out, "delx_psf", value=in, add=yes, verify=no, update=yes, 
    > "dev$null")

unlearn gstatistics
gstatistics (out, fields="sum", > "dev$null") 
hedit ( images=out, fields="delx_sum", value=gstpar.sum, add=yes, verify=no, 
  update=yes, > "dev$null")

unlearn images.imutil.minmax
images.imutil.minmax( images=out, force=yes, update=yes, verbose=verbose)
hedit ( images=out, fields="delxmxxy", value=minmax.maxpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delxmxvl", value=minmax.maxval, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delxmnxy", value=minmax.minpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delxmnvl", value=minmax.minval, add=yes, 
  verify=no, update=yes, > "dev$null")

bye:
if (verbose) print  ( "PSFDELX: END" )
end
