#
procedure psfdely (in_, out_)
string in_="mxtools$data/psfg2d.fits" {prompt="Name of input PSF image?"}
string out_="psfdely.fits" {prompt="Name of output DELY [del(PSF)/del(Y)] image?"}
bool verbose=no {prompt="Verbose?"}
string version="2001AUG31"

begin
string in
string out

version="2001AUG31"

if (verbose) print  ( "PSFDELY: BEGIN" )

# Make sure correct packages are loaded
if (!defpac("stsdas")) {
  print "Please load the STSDAS package"; 
  goto bye
}
if (!defpac("toolbox")) {
  print "Please load the TOOLBOX package of the STSDAS package"; 
  goto bye
}
if (!defpac("imgtools")) {
  print "Please load the IMGTOOLS package of the STSDAS.TOOLBOX package"; 
  goto bye
}
if (!defpac("images")) {
  print "Please load the IMAGES package"; 
  goto bye
}
if (!defpac("imfilter")) {
  print "Please load the IMFILTER package of the IMAGES package"; 
  goto bye
}
if (!defpac("imutil")) {
  print "Please load the IMUTIL package of the IMAGES package"; 
  goto bye
}

in = in_
if (!access(in)) {
  print ( "PSFDELY *** ERROR *** Can not access input file!" )
  goto bye;
}
out = out_
if (access(out)) {
  print ( "PSFDELY *** ERROR *** Output file already exists!" )
  goto bye;
}

unlearn images.imfilter.convolve
images.imfilter.convolve (in, out, 
  xkernel="1.0", ykernel="0.0833 -0.6667 0.6667 -0.0833", bilinear=yes)

hedit ( images=out, fields="psfdely", value=version, add=yes, verify=no, 
  update=yes, > "dev$null")
  hedit ( out, "dely_psf", value=in, add=yes, verify=no, update=yes, 
    > "dev$null")

unlearn gstatistics
gstatistics (out, fields="sum", > "dev$null") 
hedit ( images=out, fields="dely_sum", value=gstpar.sum, add=yes, verify=no, 
  update=yes, > "dev$null")

unlearn images.imutil.minmax
images.imutil.minmax( images=out, force=yes, update=yes, verbose=verbose)
hedit ( images=out, fields="delymxxy", value=minmax.maxpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delymxvl", value=minmax.maxval, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delymnxy", value=minmax.minpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="delymnvl", value=minmax.minval, add=yes, 
  verify=no, update=yes, > "dev$null")

bye:
if (verbose) print  ( "PSFDELY: END" )
end
