#
procedure demopsfobs (nx_, ny_, be_, se_,cpxi_, cpyi_, fwhm_, n_)
int nx_=51 {prompt="Number of columns in image?"}
int ny_=51 {prompt="Number of rows in image?"}
real be_=100.0 {prompt="Background (elctrons) ?"}
real se_=10000.0 {prompt="Stellar intensity (elctrons) ?"}
real cpxi_=25.0 {prompt="X position of the center of 2-d Gaussian (IRAF notation) ?"}
real cpyi_=25.0 {prompt="Y position of the center of 2-d Gaussian (IRAF notation) ?"}
real fwhm_=3.0 {prompt="Full-Width-at-Half-Maximum of 2-d Gaussian ?"}
int n_=10 {prompt="Number of observations to simulate?"}
bool verbose=yes {prompt="Verbose?"}
string version="2001SEP20" {prompt="DEMOPSFOBS version"}

begin

real psf_cpxi
real psf_cpyi
int psf_nx
int psf_ny
real mag
string work
string psf
string comment
string out
int nx
int ny
real cpxi
real cpyi
real fwhm
real hwhm
real be
real se
int i
int n

version="2001SEP20"

nx = nx_
ny = ny_
be = be_
se = se_
cpxi = cpxi_
cpyi = cpyi_
fwhm = fwhm_
n = n_
hwhm = fwhm/2.0
mag = 0
psf = ".demopsfobs_psf.fits"
out = ".demopsfobs_obs.fits"

if (!defpac("stsdas")) {
  print "Please load the STSDAS package!"; 
  goto bye
}
if (!defpac("artdata")) {
  print "Please load the ARTDATA package!"; 
  goto bye
}

if (verbose) print  ( "DEMOPSFOBS: BEGIN" )

delete( psf, verify-, >& "dev$null" )
psfg2d (psf, nx, ny, cpxi, cpyi, fwhm, verbose=no)

unlearn display
display (psf, 1, zscale=no, fill=yes, >& "dev$null")

for (i=1; i<=n; i+=1) {

if (verbose) print("DEMOPSFOBS: ", i)

delete( out, verify-, >& "dev$null" )

psfobs (psf, out, 
  be, se, bx_=0., by_=0., sxi_=cpxi, syi_=cpyi., gain_=1.,
  ron_=3., seed_=INDEF, verbose=no, version="2001AUG31")

unlearn display
display (out, 1, fill=yes, >& "dev$null")

}

bye:
if (verbose) print  ( "DEMOPSFOBS: END" )
end
#
