#
procedure psfprep (in_,out_,psf_cpxi_,psf_cpyi_,psf_mpxi_)
string in_="mxtools$data/psf_f555w3_x400_y400.fits" {prompt="Name of input PSF image?"}
string out_="psf.fits" {prompt="Name of output PSF image?"}
real psf_cpxi_=36 {prompt="X coordinate of central PSF pixel (IRAF notation) ?"}
real psf_cpyi_=36 {prompt="Y coordinate of central PSF pixel (IRAF notation) ?"}
int psf_mpxi_=1 {prompt="OverSamplingFactor (1 -> 1x1, 2 -> 2x2) ?"}
real psf_cwxi=0 {prompt="X *world* coordinate of PSF (IRAF notation) ?"}
real psf_cwyi=0 {prompt="Y *world* coordinate of PSF (IRAF notation) ?"}
real norm=1.0 {prompt="Normalization constant?"}
bool verbose=no {prompt="Verbose?"}
real oisum=INDEF {prompt="Sum total of input PSF image"}
real oosum=INDEF {prompt="Sum total of output PSF image"}
int opsf_vrsn=20010826 {prompt="PSF format version"}
string version="2001NOV19" {prompt="PSFPREP version"}
begin
string in
string out
real psf_cpxi
real psf_cpyi
real psf_mpxi
int psf_nx
int psf_ny
int psf_mx
int psf_my
int psf_cpxj
int psf_cpyj
real psf_cpxp
real psf_cpyp
real psf_cpxf
real psf_cpyf
string cmd
int naxis
if (verbose) print  ( "PSFPREP: BEGIN" 
# Make sure correct packages are loaded
if (!defpac("stsdas")) {
  print "Please load the STSDAS package!"; 
  goto bye
}
if (!defpac("toolbox")) {
  print "Please load the TOOLBOX package of STSDAS"; 
  goto bye
}
if (!defpac("imgtools")) {
  print "Please load the IMGTOOLS package of STSDAS.TOOLBOX"; 
  goto bye
}
if (!defpac("imgtools")) {
  print "Please load the IMUTIL package"; 
  goto bye
}
if (!deftask("gstatistics")) {
  print "Could not execute the task STSDAS.TOOLBOX.IMGTOOLS.GSTATISTICS"; 
  goto bye
}
if (!deftask("imcalc")) {
  print "Could not execute the task STSDAS.TOOLBOX.IMGTOOLS.IMCALC"; goto bye
}
in = in_
out = out_
psf_cpxi = psf_cpxi_
psf_cpyi = psf_cpyi_
psf_mpxi = psf_mpxi_
psf_cpxp = (psf_cpxi - 0.5)/psf_mpxi
psf_cpyp = (psf_cpyi - 0.5)/psf_mpxi
psf_cpxj = psf_cpxp
psf_cpyj = psf_cpyp
psf_cpxf = psf_cpxp - psf_cpxj
psf_cpyf = psf_cpyp - psf_cpyj
psf_mx = psf_mpxi
psf_my = psf_mpxi
opsf_vrsn=20010826
version="2001NOV19"
if (access(out)) {
  print ( "PSFPREP: Output file already exisits!" )
  goto bye;
}
if (norm>1.0) {
  print ( "PSFPREP: Requested normalization greater than 1.0!" )
  goto bye;
} 
if (norm<0.0) {
  print ( "PSFPREP: Requested normalization less than 0.0!" )
  goto bye;
}
hselect ( in, "i_naxis", yes) | scan ( naxis )
if (naxis!=2) {
  print ( "PSFPREP: Number of image dimensions is not 2" )
  goto bye;
}
hselect ( in, "i_naxis1", yes) | scan ( psf_nx )
if (psf_mpxi>1) psf_nx = psf_nx/psf_mpxi
hselect ( in, "i_naxis2", yes) | scan ( psf_ny )
if (psf_mpxi>1) psf_ny = psf_ny/psf_mpxi
# Find total flux from star
gstatistics (in, fields="sum", > "dev$null") 
oisum = gstpar.sum
if ((norm==0)&&(oisum>0)&&(oisum<=1.0)) {
  cmd = "im1"
} else {
  cmd = "im1/"//oisum//"*"//norm
}
imcalc ( in, out, cmd, pixtype="real", > "dev$null")
gstatistics (out, fields="sum", > "dev$null") 
oosum = gstpar.sum
hedit ( images=out, fields="psfprep", value=version, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpxj", value=psf_cpxj, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpyj", value=psf_cpyj, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpxf", value=psf_cpxf, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpyf", value=psf_cpyf, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpxp", value=psf_cpxp, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpyp", value=psf_cpyp, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpxi", value=psf_cpxi, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cpyi", value=psf_cpyi, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cwxi", value=psf_cwxi, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_cwyi", value=psf_cwyi, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_nx", value=psf_nx, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_ny", value=psf_ny, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_mx", value=psf_mx, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_my", value=psf_my, add=yes, verify=no, 
  update=yes, > "dev$null")
hedit ( images=out, fields="psf_sum", value=oosum, add=yes, verify=no, 
  update=yes, > "dev$null")

unlearn minmax
minmax( images=out, force=yes, update=yes, verbose=verbose)
hedit ( images=out, fields="psf_mxxy", value=minmax.maxpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="psf_mxvl", value=minmax.maxval, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="psf_mnxy", value=minmax.minpix, add=yes, 
  verify=no, update=yes, > "dev$null")
hedit ( images=out, fields="psf_mnvl", value=minmax.minval, add=yes, 
  verify=no, update=yes, > "dev$null")

hedit ( images=out, fields="psf_vrsn", value=opsf_vrsn, add=yes, verify=no, 
  update=yes, > "dev$null")
bye:
if (verbose) print  ( "PSFPREP: END" )
end
