     
/*      FILE: /mxtools/src/psfshift/inc.h
 *   PURPOSE: PSFSHIFT routines *must* include this file!
 *    AUTHOR: K. J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT25
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#ifndef PSFSHIFT_H

# define PSFSHIFT_H         "PSFSHIFT"
# define PSFSHIFT_AUTHOR    "Kenneth J. Mighell"
# define PSFSHIFT_EMAIL     "mighell@noao.edu"
# define PSFSHIFT_COPYRIGHT "Copyright (C) 2001 Association of Universities for Research in Astronomy Inc."
# define PSFSHIFT_VERSION   "2001OCT26X"
# define PSFSHIFT_DATE      "20011026"

typedef struct {
  struct mxiraf_image_s *mxIrafImage;
  char ifn[MX_IRAF_SZ_FNAME+1];
  double **matrixd;
  double *vectord;
  int llx0i;
  int lly0i;
  int nxi;
  int nyi;
  int xdimi;
  int ydimi;
  int PSF_CPXJ;
  int PSF_CPYJ;
  double PSF_CPXF;
  double PSF_CPYF;
  double PSF_CPXP;
  double PSF_CPYP;
  double PSF_CPXI;
  double PSF_CPYI;
  double PSF_CWXI;
  double PSF_CWYI;
} inc_PsfS;

typedef struct {
    char image[MX_IRAF_SZ_FNAME+1];
     int image_is_INDEF;
  double deltax;
     int deltax_is_INDEF;
  double deltay;
     int deltay_is_INDEF;
  char PSFSHIFT[8+1];
  char PROGFILE[MX_IRAF_SZ_FNAME+1];
  char PROGDATE[11+1];
  char PROGTIME[8+1];
} inc_ParS;

extern
int inc_ParS_Get_i1 (
  inc_ParS *ParS
)
;

extern
int inc_ParS_Put_i1 (
  inc_ParS *ParS
)
;

extern
void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
)
;

extern
void inc_Banner_v2 (
  FILE *ofp,
  char *tag
)
;

extern 
int inc_IrafParDoubleGet_v4 (
 char text[],
 double defaultd,
 double *valued_p,
 int *is_INDEF_p
)
;

extern 
int inc_IrafParStringGet_v5 (
 char text[],
 char default_value[],
 char value[],
 int maxch,
 int *is_INDEF_p
)
;

extern 
int inc_IrafParIntegerGet_v4 (
 char text[],
 int defaulti,
 int *valuei_p,
 int *is_INDEF_p
)
;

extern
void sshift_ansi(
  float x[],   /* Input data array. */
  int   n,     /* Number of points to shift. */
  float shift, /* Amount of the shift. */
  float hole,  /* value to assign to out of range data. */
  float xp[]   /* Destination array for the shifted data. */
)
;

extern
int ip_Shift2d_i3(
  struct mxip_image_s *image,
  double deltax,
  double deltay
)
;

extern 
int inc_PsfS_Open_i2 (
  inc_ParS *ParS,
  inc_PsfS *PsfS
)
;

extern 
int inc_PsfS_Close_i1 (
  inc_PsfS *PsfS
)
;


#endif
/* end-of-file */










