
/*      FILE: /mxtools/src/psfshift/par_print.c
 *   PURPOSE: Print the ParS
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "inc_ParS_Print_v2";
  int status;
  int isNullFile;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  Banner_v2 (ofp, "#");

  fprintf (ofp, "# psfshift\n");
  fprintf (ofp, "#      image = \"%s\"\n", ParS->image);
  fprintf (ofp, "#     deltax = %10.4g\n", (float)ParS->deltax);
  fprintf (ofp, "#     deltay = %10.4g\n", (float)ParS->deltay);
  fprintf (ofp, "#  (PSFSHIFT = \"%s\")\n", ParS->PSFSHIFT );
  fprintf (ofp, "#  (PROGFILE = \"%s\")\n", ParS->PROGFILE );
  fprintf (ofp, "#  (PROGDATE = \"%s\")\n", ParS->PROGDATE );
  fprintf (ofp, "#  (PROGTIME = \"%s\")\n", ParS->PROGTIME );

bye:
  return;

}
/* end-of-file */

