
/*      FILE: /mxtools/src/parshift/par_put.c
 *   PURPOSE: Put PSFSHIFT ParS parameters
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001OCT26
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

int inc_ParS_Put_i1 (
  inc_ParS *ParS
){
  char mxfunc[] = "ParS_Put_i1";
  int mxstatus = 0;
  int status;

  mxstatus++;
  c_clpstr ("PSFSHIFT", ParS->PSFSHIFT);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGFILE", ParS->PROGFILE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGDATE", ParS->PROGDATE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGTIME", ParS->PROGTIME);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  status = 1;
  goto bye;

bye:
  return(status);

}
/* end-of-file */









