
/*      FILE: /mxtools/src/psfstar/banner.c
 *   PURPOSE: Print PSFSHITF banner
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001NOV06
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

  void Banner_v2 (
  FILE *ofp,
  char *tag
){
  char mxfunc[] = "Banner_v2";
  int status;
  
  int size = 16;
  char *banner[] = {
"",
"",
"   +---------------------------------------------------------------------+",
"   | PSFSTAR                                                   2001NOV06 |",
"   |                                                                     |",
"   |   Kenneth J. Mighell (mighell@noao.edu)                             |",
"   |   Kitt Peak National Observatory                                    |",
"   |   National Optical Astronomy Observatory                            |",
"   |   950 North Cherry Avenue, Tucson, Arizona 85719, U.S.A.            |",
"   |                                                                     |",
"   | This work is supported by a grant from the National Aeronautics and |",
"   | Space Administration (NASA), Order No. S-67046-F, which was awarded |",
"   | by the Long-Term Space Astrophysics (LTSA) program (NRA 95-OSS-16). |",
"   +---------------------------------------------------------------------+",
"",
""
  };
  int j;

  if ((FILE *)NULL == ofp) goto bye;

  for (j=0; j<size; ++j) {
    fprintf (ofp, "%s%s\n", tag, banner[j] );
  }

bye:
  return;

}
/* end-of-file */

