
/*      FILE:  /mxtools/src/psfstar/img_close.c
 *   PURPOSE:  Close a PSFSTAR ImageS.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001NOV06
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int inc_ImageS_Close_i1 (
  inc_ImageS *ImageS
){

  char mxfunc[] = "inc_ImageS_Close_i1";
  int mxstatus=0;
  int status;
  IRAFPointer ifp;

  ifp = ImageS->mxIrafImage->ptr;

  mxstatus++;
  status = mxiraf_image_s_close_f1(&ImageS->mxIrafImage);
  if (status) goto mx_error;

ok:
  status = 0;
  goto bye;

mx_error:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, "");
  goto bye;

mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  return(status);
  
}
/* end-of-file */
