
/*      FILE: /mxtools/src/psfstar/iraf_getd.c
 *   PURPOSE: Get a double IRAF parameter.
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001NOV06
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int IrafParDoubleGet_v4 (
 char text[],
 double defaultd,
 double *valued_p,
 int *is_INDEF_p
){

  char mxfunc[] = "IrafParDoubleGet_v4";
  int status = 1;
  int mxstatus = 0;
  double valued = IRAF_INDEFD;
  int is_INDEF = MX_TRUE;
  double d;

  d = c_clgetd (text);
  /* CVOS error? */
  if (mxiraf_cvos_error_check_f0()) {mxstatus=1; goto mx_error1;}
  is_INDEF = (d == IRAF_INDEFD);
  if (is_INDEF) d = defaultd;
  valued = d;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  *valued_p = valued;
  *is_INDEF_p = is_INDEF;
  return(status);

}
/* end-of-file */
