
/*      FILE: /mxtools/src/psfstar/par_print.c
 *   PURPOSE: Print the ParS
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001NOV06
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "inc_ParS_Print_v2";
  int status;
  int isNullFile;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  Banner_v2 (ofp, "#");

  fprintf (ofp, "# psfstar\n");
  fprintf (ofp, "#      image = \"%s\"\n", ParS->image);
  fprintf (ofp, "#        psf = \"%s\"\n", ParS->psf);
  fprintf (ofp, "#         se = %g\n", ParS->se);
  fprintf (ofp, "#         sx = %g\n", ParS->sx);
  fprintf (ofp, "#         sy = %g\n", ParS->sy);
  fprintf (ofp, "#  (PSFSTAR = \"%s\")\n", ParS->PSFSTAR );
  fprintf (ofp, "#  (PROGFILE = \"%s\")\n", ParS->PROGFILE );
  fprintf (ofp, "#  (PROGDATE = \"%s\")\n", ParS->PROGDATE );
  fprintf (ofp, "#  (PROGTIME = \"%s\")\n", ParS->PROGTIME );

bye:
  return;

}
/* end-of-file */

