
/*      FILE:  /mxtools/src/psfstar/psf_close.c
 *   PURPOSE:  Close a PSFSTAR PsfS.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001NOV07
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "inc.h"

int inc_PsfS_Close_i1 (
  inc_PsfS *PsfS
){

  char mxfunc[] = "inc_PsfS_Close_i1";
  int mxstatus=0;
  int status;
  IRAFPointer ifp;
  int debug = MX_TRUE;
#define DEBUG (debug==MX_TRUE)

  ifp = PsfS->mxIrafImage->ptr;

  mxstatus++;
  status = mxiraf_image_s_close_f1(&PsfS->mxIrafImage);
  if (status) goto mx_error;

  mxstatus++;
  status = mxip_image_s_close_f1(&PsfS->psf);
  if (status) goto mx_error;

  mxstatus++;
  status = mxip_image_s_close_f1(&PsfS->PSF);
  if (status) goto mx_error;

ok:
  status = 0;
  goto bye;

mx_error:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, "");
  goto bye;

mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  return(status);
  
}
#undef DEBUG
/* end-of-file */
