#
procedure qdcmd (magfile)

string magfile {prompt="Name of WFPC2COLOR file?"}
string device="stdgraph" {prompt="Output graphics device?"}
int xcol=5 {prompt="Column number for the X axis (COLOR) data?"}
int ycol=3 {prompt="Column number for the Y axis (MAGNITUDE) data?"}
real mncolor=-0.7 {prompt="Minimum (bluest) color to plot?"}
real mxcolor=2.3 {prompt="Maximum (reddest) color to plot?"}
real mnmag=12 {prompt="Minimum (brightest) magnitude to plot?"}
real mxmag=27 {prompt="Maximum (faintest) magnitude to plot?"}
string xlabel="COLOR" {prompt="X label?"}
string ylabel="MAGNITUDE" {prompt="Y label?"}
string title="" {prompt="Figure caption?"}
int penclr=3 {prompt="IGI pen color for data points?"}
string extra1="" {prompt="1st additional label?"}
string extra2="" {prompt="2nd additional label?"}
string extra3="" {prompt="3rd additional label?"}
string extra4="" {prompt="4th additional label?"}

begin

string mag_file
string device_
int xcol_
int ycol_
real color_min
real color_max
real mag_min
real mag_max
string title_
string xlabel_
string ylabel_
int penclr_
string extra1_
string extra2_
string extra3_
string extra4_

mag_file = magfile
device_ = device	
xcol_ = xcol
ycol_ = ycol
color_min = mncolor
color_max = mxcolor
mag_min = mnmag
mag_max = mxmag
title_ = title
xlabel_ = xlabel
ylabel_ = ylabel
penclr_ = penclr
extra1_ = extra1
extra2_ = extra2
extra3_ = extra3
extra4_ = extra4

if (!defpac("stsdas")) {print "Please load the stsdas package!"; bye}
if (!defpac("graphics")) {print "Please load the graphics package!"; bye}
if (!defpac("stplot")) {print "Please load the stplot package!"; bye}

delete ( ".qdcmd_igi", verify-, >& "dev$null")
print ( "# .qdcmd_igi", > ".qdcmd_igi")
print ( \
  "physical 0 8 0 8\n", \
  "location 0.12 0.92 0.13 0.93\n", \
  "data ", mag_file, " \n", \
  "xcol ", xcol_, " \n", \
  "ycol ", ycol_, " \n", \
  "limits ", color_min, color_max, mag_max, mag_min, " \n", \
  "color 5 \n", \
  "expand 1.1 \n", \
  "title ", title_, " \n", \
  "expand 1.3 \n", \
  "vrelocate 0.52 0.05 \n", \
  "putlabel 5 ", xlabel_, " \n",\
  "angle 90 \n", \
  "vrelocate 0.05 0.53 \n", \
  "putlabel 5 ", ylabel_, " \n",\
  "angle 0 \n", \
  "expand 1.01 \n", \
  "vrelocate 0.03 0.04\n", \
  "color ", penclr_, " \n", \
  "label ", mag_file, " \n", \
  "angle 90 \n", \
  "color 6 \n", \
  "vrelocate 0.96 0.05 \n", \
  "label qdcmd ", mag_file, " xc=", xcol_, "yc=", ycol_, " \n", \
  "expand 0.8 \n", \
  "color 5 \n", \
  "vrelocate 1.00 0.97\n", \
  "putlabel 4 ", extra1_, " \n", \
  "vrelocate 1.04 0.97\n", \
  "putlabel 4 ", extra2_, " \n", \
  "color 7 \n", \
  "vrelocate 0.88 0.17\n", \
  "expand 1.3 \n", \
  "putlabel 6 ", extra3_, " \n", \
  "vrelocate 0.92 0.88\n", \
  "color 6 \n", \
  "angle 0 \n", \
  "putlabel 4 ", extra4_, " \n", \
  "expand 1.001 \n", \
  "angle 0\n", \
  "color 1\n", \
  "box\n", \
  "expand 0.2\n", \
  "ptype 4 0\n", \
  "color ", penclr_, " \n", \
  "points\n", \
  "color 1\n", \
  "id\n", \
  "bye", \
  >> ".qdcmd_igi")

unlearn igi
igi.device=device_
igi < ".qdcmd_igi"

end
#









