images
tv
stsdas
graphics
stplot
keep
{#
# IRAF/MXTOOLS/QDPHOT script: demoqdphot.cl
#
# Analyze HST WFPC2 observation (WF3) of the 
# Galactic globular cluster NGC 362
#
# usage:
#
# cl> cl < mxtools$/src/qdphot/demo/demoqdphot.cl
#

!echo "#"
!echo "# demoqdphot.cl: START @ "`date` "========================="
!echo "#"

!echo "#"
!echo "#"
!\mv .demoqdphot_start /tmp >& /dev/null
!\mv .demoqdphot_stop /tmp >& /dev/null
!date > .demoqdphot_start
!echo "# --> qdphot: START @ "`cat .demoqdphot_start` 

!\mv ngc362v3.imag /tmp >& /dev/null
!\mv ngc362b3.imag /tmp >& /dev/null

unlearn qdphot
qdphot.out1="ngc362b3.imag"
qdphot.out2="ngc362v3.imag"
qdphot.gain1=14.0
qdphot.ron1=5.2
qdphot.mnpeak1=10
qdphot.mxpeak1=3500
qdphot \
  mxtools$data/ngc362b3.fits[60:790,60:790] \
  mxtools$data/ngc362v3.fits[60:790,60:790] 


!date > .demoqdphot_stop
!echo "# --> qdphot:  STOP @ "`cat .demoqdphot_stop` 

#bye
!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# ... show the last 90 lines of ngc362b3.imag (F439W data)"
!tail -90 ngc362b3.imag
!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# ... show the last 90 lines of ngc362v3.imag (F555W data)"
!tail -90 ngc362v3.imag

!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# Now plot results as a Color-Magnitde Diagram (CMD)"
!echo "#"
gflush
igi device="stdgraph" < mxtools$/src/qdphot/demo/demoqdphot.igi
gflush

#igi device="stdplot" < mxtools$/src/qdphot/demo/demoqdphot.igi
#gflush

#del sgi*.eps verify- 
#igi device="eps" < mxtools$/src/qdphot/demo/demoqdphot.igi
#gflush

#bye

!echo " "
!echo " "
!echo "#"
!echo "#"
unlearn display
!echo "# Display the WF3 portion of the F439W observation of NGC 362 in frame 1"
display mxtools$data/ngc362b3.fits 1 fill+ erase+
!echo "# ... and show the measured stars in ngc362b3.imag with green points"
unlearn tvmark
tvmark 1 ngc362b3.imag color=205 mark=point
!echo "#"
!echo "#"
!echo "# Display the WF3 portion of the F555W observation of NGC 362 in frame 2"
display mxtools$data/ngc362v3.fits 2 fill+ erase+
unlearn tvmark
!echo "# ... and show the measured stars in ngc362v3.imag with red points"
tvmark 2 ngc362v3.imag color=204 mark=point

!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# Once again, those QDPHOT execution times were:"
!echo "#"
!echo "# --> qdphot: START @ "`cat .demoqdphot_start` 
!echo "# --> qdphot:  STOP @ "`cat .demoqdphot_stop` 
!echo "#"
!echo "# The graph was produced with the IGI task (STSDAS.GRAPHICS.STPLOT)"
!echo '# and the IGI script mxtools$/src/qdphot/demo/demoqdphot.igi'
!echo "#"
!echo "# *** A copy of the plot has been sent to the stdplot device\! ***"
!echo "#"
!echo "# That's all folks\!"
!echo "#"
!echo "# demoqdphot.cl:  STOP @ "`date` "========================="
!echo "#"

}
#


