
/*      FILE:  img_close.c
 *   PURPOSE:  Close a qdphot5_ImageS.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_ImageS_Close_f1 (
  qdphot5_ImageS *Image
){

  char mxfunc[] = "qdphot5_ImageS_Close_f1";
  int status;

  status = mxiraf_image_s_close_f1 
    (&Image->mxIrafImage);
  if (status) {status = 1; goto mx_error;}

  if ( ((FILE *)NULL != Image->ofp) && (stdout != Image->ofp) ) 
    fclose(Image->ofp);

ok:
  status = 0;
  goto bye;

mx_error:
  mxp_errmsg_append_f3 (mxfunc, status, "");
  goto bye;

mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return(status);
  
}
/* end-of-file */
