
/*      FILE:  img_minmax.c
 *   PURPOSE:  Find minimum and maximum of a qdphot5_ImageS.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_ImageS_MinMax_f1 (
  qdphot5_ImageS *ImageS
){
  char mxfunc[] = "qdphot5_ImageS_MinMax_f1";
  int status = 0;

  int nx;
  int ny;
  double **matrixd;
  double pixel;
  double pixel_minimum;
  double pixel_maximum;
  int x0;
  int y0;

  nx = ImageS->nxi;
  ny = ImageS->nyi;
  matrixd = ImageS->matrixd;
  pixel_minimum = matrixd[0][0];
  pixel_maximum = pixel_minimum;

for (y0=0; y0<ny; ++y0) {
for (x0=0; x0<nx; ++x0) {
  pixel = matrixd[y0][x0];
  if (pixel > pixel_maximum) pixel_maximum = pixel;
  if (pixel < pixel_minimum) pixel_minimum = pixel;
} /* for x0 */
} /* for y0 */

  ImageS->matrixd_minimum = pixel_minimum;
  ImageS->matrixd_maximum = pixel_maximum;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return(status);

}
/* end-of-file */



