
/*      FILE:  iraf_getb.c
 *   PURPOSE:  Get an IRAF boolean parameter.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_IrafParBooleanGet_vf2 (
 char text[],
 int *valueb_p
){

  char mxfunc[] = "qdphot5_IrafParBooleanGet_vf2";
  int status;
  int valueb;
  int b;

  /*
   * Initialization
   */
  status = 0;
  valueb = MX_FALSE;

  b = c_clgetb (text);
  if (mxiraf_cvos_error_check_f0()) {status=1; goto mx_error1;}
  valueb = b;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  *valueb_p = valueb;
  return(status);

}
/* end-of-file */

