
/*      FILE:  iraf_geti.c
 *   PURPOSE:  Get an IRAF integer parameter.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_IrafParIntegerGet_vf4 (
 char text[],
 int defaulti,
 int *valuei_p,
 int *is_INDEF_p
){

  char mxfunc[] = "qdphot5_IrafParIntegerGet_vf4";
  int status;
  int valuei;
  int is_INDEF;
  int i;

  /*
   * Initialization
   */
  status = 0;
  valuei = IRAF_INDEFI;
  is_INDEF = MX_TRUE;

  i = c_clgeti (text);
  if (mxiraf_cvos_error_check_f0()) {status=1; goto mx_error1;}
  is_INDEF = (i == IRAF_INDEFI);
  if (is_INDEF) i = defaulti;
  valuei = i;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  *valuei_p = valuei;
  *is_INDEF_p = is_INDEF;
  return(status);

}
/* end-of-file */
