
/*      FILE:  iraf_gstr.c
 *   PURPOSE:  Get an IRAF string IRAF parameter.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_IrafParStringGet_vf3 (
 char text[],
 char value[],
 int maxch
){

  char mxfunc[] = "qdphot5_IrafParStringGet_vf3";
  int status;

  /*
   * Initialization
   */
  status = 0;
  value[0] = '\0';

  c_clgstr (text, value, maxch);
  if (mxiraf_cvos_error_check_f0()) {status=1; goto mx_error1;}

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return(status);

}
/* end-of-file */
