
/*      FILE:  par_put.c
 *   PURPOSE:  Put the IRAF output parameters into the qdphot5_ParS.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT: (C) 2001 Asso. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_ParS_Put_f1 (
  qdphot5_ParS *ParS
){

  char mxfunc[] = "qdphot5_ParS_Put_f1";
  int status;

  c_clputi ("ostars", ParS->ostars);
  if (mxiraf_cvos_error_check_f0()) {status=1; goto mx_error1;}

  c_clputd ("odx2", ParS->odx2);
  if (mxiraf_cvos_error_check_f0()) {status=2; goto mx_error1;}

  c_clputd ("ody2", ParS->ody2);
  if (mxiraf_cvos_error_check_f0()) {status=3; goto mx_error1;}

  c_clputd ("ocpusec", ParS->ocpusec);
  if (mxiraf_cvos_error_check_f0()) {status=4; goto mx_error1;}

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  goto bye;

bye:
  return(status);

}
/* end-of-file */
