
/*      FILE:  phot_check.c
 *   PURPOSE:  Check the Quick&Dirty photometry calculations.
 *    AUTHOR:  Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE:  ANSI C
 *      DATE:  2001JUL03
 * COPYRIGHT:  (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "qdphot.h"

int qdphot5_PhotS_CalcCheck_f2 (
  qdphot5_ImageS *Image,
  qdphot5_PhotS *Phot
){

  char mxfunc[] = "qdphot5_PhotS_CalcCheck_f2";
  int status = -1;

  /* check ROUND */
  if ((Phot->round)<(Image->mnround)) goto bye;
  if ((Phot->round)>(Image->mxround)) goto bye;

  /* check ANGLE */
  if ((Phot->angle)<(Image->mnangle)) goto bye;
  if ((Phot->angle)>(Image->mxangle)) goto bye;

  /* check SHARP */
  if ((Phot->sharp)<(Image->mnsharp)) goto bye;
  if ((Phot->sharp)>(Image->mxsharp)) goto bye;

  /* check KAPPA */
  if ((Phot->kappa)<(Image->mnkappa)) goto bye;
  if ((Phot->kappa)>(Image->mxkappa)) goto bye;

  status = 0;

bye:

 return( status );

}
/* end-of-file */





