#
procedure demopsfobs (nx_, ny_, be_, se_,cpxi_, cpyi_, fwhm_, n_)
int nx_=51 {prompt="Number of columns in image?"}
int ny_=51 {prompt="Number of rows in image?"}
real be_=100.0 {prompt="Background (electrons) ?"}
real se_=10000.0 {prompt="Stellar intensity (electrons) ?"}
real cpxi_=25.0 {prompt="X position of the center of 2-d Gaussian (IRAF notation) ?"}
real cpyi_=25.0 {prompt="Y position of the center of 2-d Gaussian (IRAF notation) ?"}
real fwhm_=3.0 {prompt="Full-Width-at-Half-Maximum of 2-d Gaussian ?"}
int n_=10 {prompt="Number of observations to simulate?"}
bool verbose=no {prompt="Verbose?"}
string version="2001SEP20" {prompt="DEMOSNOWBALL version"}

begin

real psf_cpxi
real psf_cpyi
int psf_nx
int psf_ny
real mag
string work
string psf
string comment
string out
int nx
int ny
real cpxi
real cpyi
real fwhm
real hwhm
real be
real se
int i
int n
real ron
real gain
real gse
real gsx
real gsy
real gsf
real gbe
real gbx
real gby
string parflags
real tse
real tsx
real tsy
real tsf
real tbe
real tbx
real tby
bool quiet
int method

version="2001SEP20"

nx = nx_
ny = ny_
be = be_
se = se_
cpxi = cpxi_
cpyi = cpyi_
fwhm = fwhm_
n = n_
hwhm = fwhm/2.0
mag = 0
psf = ".demopsfobs_psf.fits"
out = ".demopsfobs_obs.fits"
gain = 1.0
ron = 3.0

if (verbose) print  ( "DEMOSNOWBALL: BEGIN" )

delete( psf, verify-, >& "dev$null" )
psfg2d (psf, nx, ny, cpxi, cpyi, fwhm, verbose=no)

unlearn display
display (psf, 1, zscale=no, fill=yes, >& "dev$null")

for (i=1; i<=n; i+=1) {

if (!defpac("stsdas")) {
  print "Please load the STSDAS package!"; 
  goto bye
}
if (!defpac("artdata")) {
  print "Please load the ARTDATA package!"; 
  goto bye
}

if (verbose) print("DEMOSNOWBALL: ", i)

delete( out, verify-, >& "dev$null" )

psfobs (psf, out, 
  be, se, bx_=0., by_=0., sxi_=cpxi, syi_=cpyi., gain_=1.,
  ron_=3., seed_=INDEF, verbose=no, version="2001AUG31")

unlearn display
display (out, 1, fill=yes, >& "dev$null")

unlearn snowball

snowball.image = out
gain = 1.
ron = 3.
gse = 0.9*se
gsx = cpxi+0.4
gsy = cpyi-0.3
gsf = fwhm
gbe = 0.9*be
gbx = 0.
gby = 0.
parflags = "fccfffc"
snowball.tse = se
snowball.tsx = cpxi
snowball.tsy = cpyi
snowball.tsf = fwhm
snowball.tbe = be
snowball.tbx = 0.
snowball.tby = 0.

if (verbose) {
snowball ( image=out, gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags)
} else {
snowball ( image=out, gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags, >& "dev$null")
}
method=0
printf("%6d %2d",i,method)
printf("%10.4f %7.4f",snowball.osmag,snowball.oesmag)
printf("%10.4f %6.4f",snowball.osx,snowball.oesx)
printf("%10.4f %6.4f",snowball.osy,snowball.oesy)
printf("%10.4e %8.4e",snowball.obe,snowball.oebe)
printf("%10.4f %6.4f",snowball.orchsq,snowball.oerchsq)
printf("%3d%10.2f",snowball.oniter,snowball.ochisq)
printf("\n")

}

bye:
if (verbose) print  ( "DEMOSNOWBALL: END" )
end
#
