
/*      FILE: par_put.c
 *   PURPOSE: Put wfpc2color2_ParS parameters
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

int inc_ParS_Put_i1 (
  inc_ParS *ParS
){
  char mxfunc[] = "ParS_Put_i1";
  int mxstatus = 0;
  int status;

  mxstatus++;
  c_clputd ("ochisq", ParS->ochisq);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("orchsq", ParS->orchsq);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oerchsq", ParS->oerchsq);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("ondf", ParS->ondf);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("oniter", ParS->oniter);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("onpar", ParS->onpar);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputi ("omfit", ParS->omfit);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("ose", ParS->ose);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osx", ParS->osx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osy", ParS->osy);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osf", ParS->osf);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("obe", ParS->obe);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("obx", ParS->obx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oby", ParS->oby);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oese", ParS->oese);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oesx", ParS->oesx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oesy", ParS->oesy);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oesf", ParS->oesf);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oebe", ParS->oebe);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oebx", ParS->oebx);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oeby", ParS->oeby);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("osmag", ParS->osmag);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clputd ("oesmag", ParS->oesmag);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("SNOWBALL", ParS->SNOWBALL);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGFILE", ParS->PROGFILE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGDATE", ParS->PROGDATE);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

  mxstatus++;
  c_clpstr ("PROGTIME", ParS->PROGTIME);
  if (mxiraf_cvos_error_check_f0()) goto mx_error1;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  status = 1;
  goto bye;

bye:
  return(status);

}
/* end-of-file */









