
/*      FILE: peaker.c
 *   PURPOSE: find peaks
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

void inc_peaker(
  double **image,
  int nx,
  int ny,
  double peakmin,
  double peakmax,
  int idx0,
  int idy0
) {

  int x, y, xx, yy, bingo, idx1=idx0+1, idy1=idy0+1, n=1, false=0, true=1; 
  double pixel, neighbor;

  for (y=1; y<=(ny-2); ++y) { 
  for (x=1; x<=(nx-2); ++x) {
  pixel = image[y][x];
  if ( (pixel>=peakmin) && (pixel<peakmax) ) {
    bingo = true;
    for (yy=y-1; yy<=(y+1); ++yy) {
    for (xx=x-1; xx<=(x+1); ++xx) {
      if (bingo) {
	neighbor = image[yy][xx];
	if (neighbor>pixel) { 
	  bingo = false; 
	} else { 
	  if (neighbor==pixel) {
	    if ((xx!=x)||(yy!=y)) {
	      if (((xx<=x)&&(yy<=y))||((xx>x)&&(yy<y))) bingo = false;
	    }
	  } 
	} 
      } 
    } 
    } 
    if (bingo) printf("%9d%9d%12.6e%7d\n",(x+idx1),(y+idy1),pixel,n++);
  }
  }
  }

  if (n!=0) printf("#_PEAK_X|  PEAK_Y|       PEAK| COUNT|\n");

  return;
}
/* end-of-file */

