#
procedure demosnowman (nx_, ny_, be_, se_,cpxi_, cpyi_, fwhm_, n_)
int nx_=51 {prompt="Number of columns in image?"}
int ny_=51 {prompt="Number of rows in image?"}
real be_=100.0 {prompt="Background (electrons) ?"}
real se_=10000.0 {prompt="Stellar intensity (electrons) ?"}
real cpxi_=25.0 {prompt="X position of the center of 2-d Gaussian (IRAF notation) ?"}
real cpyi_=25.0 {prompt="Y position of the center of 2-d Gaussian (IRAF notation) ?"}
real fwhm_=3.0 {prompt="Full-Width-at-Half-Maximum of 2-d Gaussian ?"}
int n_=10 {prompt="Number of observations to simulate?"}
bool perfect=yes {prompt="Perfect 2-D Gaussian?"}
bool verbose=no {prompt="Verbose?"}
bool show=yes {prompt="Show the simulated observation?"}
string version="2001DEC10" {prompt="DEMOSNOWMAN version"}
real deltax=1.0 {prompt="Amount of wobble in the X direction (px) ?"}
real deltay=1.0 {prompt="Amount of wobble in the Y direction (px) ?"}

begin

real psf_cpxi
real psf_cpyi
int psf_nx
int psf_ny
real mag
string work
string psf
string comment
string out
string lowpass
int nx
int ny
real cpxi
real cpyi
real cpxi0
real cpyi0
real dx
real dy
real gdx
real gdy
real ddx
real ddy
real fwhm
real hwhm
real be
real se
int i
int j
int n
real ron
real gain
real gse
real gsx
real gsy
real gsf
real gbe
real gbx
real gby
string parflags
real tse
real tsx
real tsy
real tsf
real tbe
real tbx
real tby
bool quiet
int m
string method
real tmag
real gmag
real sx
real sy
real ranx
real rany
real osum

version="2001DEC10"

nx = nx_
ny = ny_
be = be_
se = se_
cpxi0 = cpxi_
cpyi0 = cpyi_
cpxi = cpxi0
cpyi = cpyi0
fwhm = fwhm_
n = n_
hwhm = fwhm/2.0
mag = 0
#psf = ".demosnowman_psf.fits"
#out = ".demosnowman_obs.fits"
#lowpass = ".demosnowman_obs_3x3lp.fits"
psf = ".demosnowman_psf.imh"
out = ".demosnowman_obs.imh"
lowpass = ".demosnowman_obs_3x3lp.imh"

gain = 1.0
ron = 3.0

if (!defpac("stsdas")) {
  print "Please load the STSDAS package!"; 
  goto bye
}
if (!defpac("artdata")) {
  print "Please load the ARTDATA package!"; 
  goto bye
}
if (!defpac("ctio")) {
  print "Please load the CTIO package!"; 
  goto bye
}

cache imgets
cache urand
cache display
cache snowman
cache imdelete
cache psfg2d
cache psfobs

if (verbose) print  ( "DEMOSNOWMAN: BEGIN" )

unlearn display
unlearn snowman

for (i=1; i<=n; i+=1) {

if (verbose) print("DEMOSNOWMAN: ", i)

urand( 1, 2, seed=INDEF) | scan (ranx,rany)
dx = 2.0 * (ranx - 0.5)
dy = 2.0 * (rany - 0.5)
ddx = dx * abs(deltax)
ddy = dy * abs(deltay)
cpxi = cpxi0+ddx
cpyi = cpyi0+ddy
urand( 1, 2, seed=INDEF) | scan (ranx,rany)
gdx = (ranx - 0.5)/3.0
gdy = (rany - 0.5)/3.0
if (verbose) {
  printf("#ranx is %g\n",ranx)
  printf("#rany is %g\n",rany)
  printf("#dx is %g\n",dx)
  printf("#dy is %g\n",dy)
  printf("#ddx is %g\n",ddx)
  printf("#ddy is %g\n",ddy)
  printf("#cpxi is %g\n",cpxi)
  printf("#cpyi is %g\n",cpyi)
  printf("#gdx is %g\n",gdx)
  printf("#gdy is %g\n",gdy)
}

imdelete( psf, go_ahead+, verify-, >& "dev$null" )

if (perfect) {
  # Create perfect 2-D Gaussian at final location
  psfg2d (psf, nx, ny, cpxi, cpyi, fwhm, verbose=no)
  if (verbose) printf("Created PSF at (%7.4g,%7.4g)\n",cpxi,cpyi)
  if (show) display (psf, 1, zscale=no, fill=yes, >& "dev$null")
} else {
  # Create perfect 2-D Gaussian at inital location
  psfg2d (psf, nx, ny, cpxi0, cpyi0, fwhm, verbose=no)
  if (show) display (psf, 1, zscale=no, fill=yes, >& "dev$null")
  if (verbose) printf("Created PSF at (%7.4g,%7.4g)\n",cpxi0,cpyi0)
  psfshift( psf, ddx, ddy, >& "dev$null")
  if (verbose) printf("Shifted PSF by (%7.4g,%7.4g)\n",ddx,ddy)
  if (show) display (psf, 1, zscale=no, fill=yes, >& "dev$null")
}

go:

imdelete( out, go_ahead+, verify-, >& "dev$null" )
psfobs (psf, out, 
  be, se, bx_=0., by_=0., sxi_=cpxi, syi_=cpyi., gain_=1.,
  ron_=3., seed_=INDEF, verbose=no)

if (show) display (out, 1, fill=yes, >& "dev$null")

#FITS problem fix:
#mximstat( out, >& "dev$null" )
#osum = mximstat.osum
#if (osum>2e6) {
#  printf("# mximstat.osum=%12.7g <--- BOGUS OBSERVATION?\n",osum)
#  !\cp .demosnowman_obs.fits .demosnowman_obs_bad.fits
#  goto go
#}

#delete( lowpass, verify-, >& "dev$null" )
#convolve( out, lowpass, xk="0.25 0.50 0.25", yk="0.25 0.5 0.25", bi+)
#if (show) {
#  display (lowpass, 1, fill=yes, >& "dev$null")
#}
#mximstat( lowpass, >& "dev$null" )
#gsx = mximstat.omaxx
#gsy = mximstat.omaxy

gain = 1.
ron = 3.
gse = 1.05*se
# fixed offsets:
#gsx = cpxi+0.35
#gsy = cpyi-0.35	
# random offsets:
gsx = cpxi+gdx
gsy = cpyi+gdy
gsf = fwhm
gbe = 0.95*be
gbx = 0.
gby = 0.
parflags = "fccfffc"
tmag = -2.5*log10(se)
gmag = -2.5*log10(gse)
snowman.image = out
snowman.gain = gain
snowman.ron = ron
snowman.gse = gse
snowman.gsx = gsx
snowman.gsy = gsy
snowman.gsf = gsf
snowman.gbe = gbe
snowman.gbx = gbx
snowman.gby = gby
snowman.parflags = parflags
snowman.tse = se
snowman.tsx = cpxi
snowman.tsy = cpyi
snowman.tsf = fwhm
snowman.tbe = be
snowman.tbx = 0.
snowman.tby = 0.

for (m=1; m<=2; m+=1) {

if (m==1) {
  method="analytical"
} else {
  method="digital"
}
snowman.method = m

if (verbose) {
snowman ( image=out, gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags, method=method)
} else {
snowman ( image=out, gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags, method=method, >& "dev$null")
}

printf("%6d %2d",i,m)
printf("%12.6f%14.8f%12.6f%12.6f",tmag,snowman.osmag,snowman.oesmag,gmag)
printf("%12.6f%12.6f%12.6f%12.6f",snowman.tsx,snowman.osx,snowman.oesx,gsx)
printf("%12.6f%12.6f%12.6f%12.6f",snowman.tsy,snowman.osy,snowman.oesy,gsy)
printf("%12.6e%12.6e%12.6e%12.6e",snowman.tbe,snowman.obe,snowman.oebe,gbe)
printf("%12.6f %9.6f",snowman.orchsq,snowman.oerchsq)
printf("%3d%12.5f",snowman.oniter,snowman.ochisq)
printf("\n")

} # m rof

} # i rof

if (verbose) {
printf("#   (1)(2)   (3)       (4)     (5)       (6)       (7)       (8)")
printf("    (9)       (10)      (11)      (12)   (13)      (14)     (15)")
printf("      (16)    (17)       (18)       (19)   (20)   (21)    (22)\n")
printf("#\n")
printf("#  (1) trial number\n")
printf("#  (2) method (1=analytical, 2=digital)\n")
printf("#  (3) true stellar magnitude\n")
printf("#  (4) measured \"\n")
printf("#  (5) error    \"\n")
printf("#  (6) guess    \"\n")
printf("#  (7) true X position of star\n")
printf("#  (8) measured \"\n")
printf("#  (9) error    \"\n")
printf("# (10) guess    \"\n")
printf("# (11) true Y position of star\n")
printf("# (12) measured \"\n")
printf("# (13) error    \"\n")
printf("# (14) guess    \"\n")
printf("# (15) true background constant \"\n")
printf("# (16) measured \"\n")
printf("# (17) error    \"\n")
printf("# (18) guess    \"\n")
printf("# (19) reduced chi-square\n")
printf("# (20) error    \"\n")
printf("# (21) number of fitting iterations\n")
printf("# (22) chi-square\n")
printf("#\n")
printf("# DEMOSNOWMAN=%s\n", version)
printf("#\n")
}

bye:
if (verbose) print  ( "DEMOSNOWMAN: END" )
end
#
