
/*      FILE: par_print.c
 *   PURPOSE: Print a inc_ParS.
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001SEP10
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "inc.h"

void inc_ParS_Print_v2 (
  inc_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "inc_ParS_Print_v2";
  int status;
  int isNullFile;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  Banner_v2 (ofp, "#");

  fprintf (ofp, "# snowman\n");
  fprintf (ofp, "#      image = \"%s\"\n", ParS->image);
  fprintf (ofp, "#       gain = %g\n", ParS->gain);
  fprintf (ofp, "#        ron = %g\n", ParS->ron);
  fprintf (ofp, "#        gse = %g\n", ParS->gse);
  fprintf (ofp, "#        gsx = %g\n", ParS->gsx);
  fprintf (ofp, "#        gsy = %g\n", ParS->gsy);
  fprintf (ofp, "#        gsf = %g\n", ParS->gsf);
  fprintf (ofp, "#        gbe = %g\n", ParS->gbe);
  fprintf (ofp, "#        gbx = %g\n", ParS->gbx);
  fprintf (ofp, "#        gby = %g\n", ParS->gby);
  fprintf (ofp, "#   parflags = %s\n", ParS->parflags);
  fprintf (ofp, "#       (ose = %16.2f)\n", ParS->ose);
  fprintf (ofp, "#       (osx = %16.4f)\n", ParS->osx);
  fprintf (ofp, "#       (osy = %16.4f)\n", ParS->osy);
  fprintf (ofp, "#       (osf = %16.3f)\n", ParS->osf);
  fprintf (ofp, "#       (obe = %16.2f)\n", ParS->obe);
  fprintf (ofp, "#       (obx = %16.4f)\n", ParS->obx);
  fprintf (ofp, "#       (oby = %16.4f)\n", ParS->oby);
  fprintf (ofp, "#      (oese = %16.2f)\n", ParS->oese);
  fprintf (ofp, "#      (oesx = %16.4f)\n", ParS->oesx);
  fprintf (ofp, "#      (oesy = %16.4f)\n", ParS->oesy);
  fprintf (ofp, "#      (oesf = %16.3f)\n", ParS->oesf);
  fprintf (ofp, "#      (oebe = %16.2f)\n", ParS->oebe);
  fprintf (ofp, "#      (oebx = %16.4f)\n", ParS->oebx);
  fprintf (ofp, "#      (oeby = %16.4f)\n", ParS->oeby);
  fprintf (ofp, "#    (ochisq = %16.2f)\n", ParS->ochisq);
  fprintf (ofp, "#      (ondf = %16d)\n", ParS->ondf);
  fprintf (ofp, "#     (onpar = %16d)\n", ParS->onpar);
  fprintf (ofp, "#     (omfit = %16d)\n", ParS->omfit);
  fprintf (ofp, "#    (orchsq = %16.4f)\n", ParS->orchsq);
  fprintf (ofp, "#   (oerchsq = %16.4f)\n", ParS->oerchsq);
  fprintf (ofp, "#    (oniter = %16d)\n", ParS->oniter);
  fprintf (ofp, "#     (osmag = %16.4f)\n", ParS->osmag);
  fprintf (ofp, "#    (oesmag = %16.4f)\n", ParS->oesmag);
  fprintf (ofp, "#       (tse = %g)\n", ParS->tse);
  fprintf (ofp, "#       (tsx = %g)\n", ParS->tsx);
  fprintf (ofp, "#       (tsy = %g)\n", ParS->tsy);
  fprintf (ofp, "#       (tsf = %g)\n", ParS->tsf);
  fprintf (ofp, "#       (tbe = %g)\n", ParS->tbe);
  fprintf (ofp, "#       (tbx = %g)\n", ParS->tbx);
  fprintf (ofp, "#       (tby = %g)\n", ParS->tby);
  fprintf (ofp, "#    (method = \"%s\")\n", ParS->method );
  fprintf (ofp, "#   (SNOWMAN = \"%s\")\n", ParS->SNOWMAN );
  fprintf (ofp, "#  (PROGFILE = \"%s\")\n", ParS->PROGFILE );
  fprintf (ofp, "#  (PROGDATE = \"%s\")\n", ParS->PROGDATE );
  fprintf (ofp, "#  (PROGTIME = \"%s\")\n", ParS->PROGTIME );

bye:
  return;

}
/* end-of-file */

