#{ 
#  FILE: go.cl
# USAGE: cl < go.cl
#

#real n=100
#real fwhm=2.354
#real fwhm=1.5
#real fwhm=4.0
#real fwhm=3.0
#int mpxi=2
#int mpxi=1

# defaults:
int n=1000
real fwhm=3.0
int mpxi=1
bool perfect=yes

real ranx
real smag
real se
string out
int i

##############################################################################
#
# simulation parameters:
#
n = 1000
#fwhm = 3.0
#fwhm = 2.355
fwhm = 1.5
mpxi = 2
perfect = yes
unlearn demostrawman
demostrawman.deltax = 2
demostrawman.deltay = 2
demostrawman.perfect = perfect
#
##############################################################################

out = "data"
delete( out, verify-, >& "dev$null" 

print( "# i, ranx, smag: ")
for (i=1;  i <= n;  i += 1) {

urand( 1, 1, seed=INDEF) | scan (ranx)
smag = 5 + (10*ranx) # normal
#smag = 5 + (9*ranx) # use for FWHM=1.5 1x1 (mag<14 leads to PANIC attacks)
se = (10**0.4)**(smag)

print( "#", i, ranx, -smag, " --> ", se, ": fwhm=", fwhm, " mpxi=", mpxi )

demostrawman( nx_=60, ny_=60, be_=100, se_=se, cpxi_=30, cpyi_=30, fwhm_=fwhm, n_=10, perfect=perfect, mpxi=mpxi, >>& out)
tail( out, n=20)

}
#








