procedure ngst (nx_, ny_, be_, se_,cpxi_, cpyi_, n_)
int nx_=60 {prompt="Number of columns in image?"}
int ny_=60 {prompt="Number of rows in image?"}
real be_=100.0 {prompt="Background (electrons) ?"}
real se_=10000.0 {prompt="Stellar intensity (electrons) ?"}
real cpxi_=30.0 {prompt="X position of the center of 2-d Gaussian (IRAF notation) ?"}
real cpyi_=30.0 {prompt="Y position of the center of 2-d Gaussian (IRAF notation) ?"}
int n_=10 {prompt="Number of observations to simulate?"}
int mpxi_=1 {prompt="OverSamplingFactor?"}
bool verbose=no {prompt="Verbose?"}
bool show=yes {prompt="Show the simulated observation?"}
string version="2001DEC01" {prompt="NGST version"}
real deltax=1.0 {prompt="Amount of wobble in the X direction (px) ?"}
real deltay=1.0 {prompt="Amount of wobble in the Y direction (px) ?"}

begin

real psf_cpxi
real psf_cpyi
int psf_nx
int psf_ny
real mag
string work
string zero
string psf
string psf1
string psf0
string psf00
string comment
string out
string lowpass
int nx
int ny
real cpxi
real cpyi
real cpxi0
real cpyi0
real cpxi0m
real cpyi0m
real dx
real dy
real gdx
real gdy
real ddx
real ddy
real fwhm
real hwhm
real be
real se
int i
int j
int n
real ron
real gain
real gse
real gsx
real gsy
real gsf
real gbe
real gbx
real gby
string parflags
real tse
real tsx
real tsy
real tsf
real tbe
real tbx
real tby
bool quiet
int m
string method
real tmag
real gmag
real sx
real sy
real ranx
real rany
real osum
int mpxi

version="2001DEC01"

nx = nx_
ny = ny_
be = be_
if (be<0.0) {be=0.0}
se = se_
cpxi0 = cpxi_
cpyi0 = cpyi_
cpxi = cpxi0
cpyi = cpyi0
fwhm = 0.0
n = n_
mpxi = mpxi_
hwhm = fwhm/2.0
mag = 0
work = ".ngst_work.imh"
psf = ".ngst_psf.imh"
psf1 = ".ngst_psf1.imh"
psf0 = ".ngst_psf0.imh"
psf00 = "mxtools$data/trw_v_psf_2x2.imh"
#psf00 = "trw_v_psf.imh"
#psf00 = "perfect_v_psf.imh"
out = ".ngst_obs.imh"
lowpass = ".ngst_obs_3x3lp.imh"

if (!defpac("stsdas")) {
  print "Please load the STSDAS package!"; 
  goto ciao
}
if (!defpac("artdata")) {
  print "Please load the ARTDATA package!"; 
  goto ciao
}
if (!defpac("ctio")) {
  print "Please load the CTIO package!"; 
  goto ciao
}

cache imgets
cache urand
cache display
cache strawman
cache imdelete
cache psfg2d
cache psfobs
cache imcopy
cache psfprep

if (verbose) print  ( "NGST: BEGIN" )

unlearn imcopy
unlearn display
unlearn strawman
unlearn mknoise

if (show) display (psf00, 1, fill=yes, zs=no, >& "dev$null")

for (i=1; i<=n; i+=1) {

if (verbose) print("NGST: ", i)

imdelete( psf1, go_ahead+, verify-, >& "dev$null" )
imdelete( psf0, go_ahead+, verify-, >& "dev$null" )
imdelete( psf, go_ahead+, verify-, >& "dev$null" )
imdelete( work, go_ahead+, verify-, >& "dev$null" )
imdelete( out, go_ahead+, verify-, >& "dev$null" )

imcopy( psf00, psf0,>& "dev$null" )

urand( 1, 2, seed=INDEF) | scan (ranx,rany)
dx = 2.0 * (ranx - 0.5)
dy = 2.0 * (rany - 0.5)
ddx = dx * abs(deltax)
ddy = dy * abs(deltay)

imcopy( psf0, psf,>& "dev$null" )

cpxi = cpxi0+ddx
cpyi = cpyi0+ddy
urand( 1, 2, seed=INDEF) | scan (ranx,rany)
gdx = (ranx - 0.5)/3.0
gdy = (rany - 0.5)/3.0

if (verbose) {
  printf("#ranx is %g\n",ranx)
  printf("#rany is %g\n",rany)
  printf("#dx is %g\n",dx)
  printf("#dy is %g\n",dy)
  printf("#ddx is %g\n",ddx)
  printf("#ddy is %g\n",ddy)
  printf("#cpxi0 is %g\n",cpxi0)
  printf("#cpyi0 is %g\n",cpyi0)
  printf("#cpxi is %g\n",cpxi)
  printf("#cpyi is %g\n",cpyi)
  printf("#gdx is %g\n",gdx)
  printf("#gdy is %g\n",gdy)
}




ctio.imcreate (image=psf1, naxis=2, naxis1=nx, naxis2=ny, pixtype="real")
minmax( psf1, force=yes, update=yes, >& "dev$null" )
psfstar( image=psf1, psf=psf, se=1.0, sx=cpxi, sy=cpyi, >& "dev$null")

ctio.imcreate (image=work, naxis=2, naxis1=nx, naxis2=ny, pixtype="real")
minmax( work, force=yes, update=yes, >& "dev$null" )
psfstar( image=work, psf=psf, se=se, sx=cpxi, sy=cpyi, >& "dev$null")
hedit ( images=work, fields="OBS_BE", value=be, add=yes, 
    verify=no, update=yes, > "dev$null")
hedit ( images=work, fields="OBS_BX", value=0, add=yes, 
    verify=no, update=yes, > "dev$null")
hedit ( images=work, fields="OBS_BY", value=0, add=yes, 
    verify=no, update=yes, > "dev$null")
hedit ( images=work, fields="OBS_SE", value=se, add=yes, 
    verify=no, update=yes, > "dev$null")
hedit ( images=work, fields="OBS_SXI", value=cpxi, add=yes, 
    verify=no, update=yes, > "dev$null")
hedit ( images=work, fields="OBS_SYI", value=cpyi, add=yes, 
    verify=no, update=yes, > "dev$null")
minmax( work, force=yes, update=yes, >& "dev$null" )
if (show) display (work, 1, fill=yes, zs=no, >& "dev$null")

gain = 1.
ron = 3.
#
# Uncomment the following line to match old NGST simulations:
# ron = 0.

mknoise( work, output=out, gain=gain, rdnoise=ron, background=be, 
    poisson=yes, seed=INDEF)
minmax( out, force=yes, update=yes, >& "dev$null" )
if (show) display (out, 1, fill=yes, >& "dev$null")

gse = 1.05*se
gsx = cpxi+gdx
gsy = cpyi+gdy
gsf = fwhm
gbe = 0.95*be
gbx = 0.
gby = 0.
parflags = "fccfffc"
tmag = -2.5*log10(se)
gmag = -2.5*log10(gse)
strawman.image = out
strawman.psf = psf0
strawman.gain = gain
strawman.ron = ron
strawman.gse = gse
strawman.gsx = gsx
strawman.gsy = gsy
strawman.gsf = gsf
strawman.gbe = gbe
strawman.gbx = gbx
strawman.gby = gby
strawman.parflags = parflags
strawman.tse = se
strawman.tsx = cpxi
strawman.tsy = cpyi
strawman.tsf = fwhm
strawman.tbe = be
strawman.tbx = 0.
strawman.tby = 0.
m=2
strawman.method = m
method="digital"

## uncomment to freeze position determination
#gsx = strawman.tsx
#gsy = strawman.tsy
#parflags = "fccfccc"

if (verbose) {
strawman ( image=out, psf=psf0,
  gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags, method=method)
} else {
strawman ( image=out, psf=psf0,
  gain=gain, ron=ron, gse=gse, gsx=gsx, gsy=gsy, gsf=gsf,
  gbe=gbe, gbx=gbx, gby=gby, parflags=parflags, method=method, >& "dev$null")
}

printf("%6d %2d",i,m)
printf("%12.6f%14.8f%12.6f%12.6f",tmag,strawman.osmag,strawman.oesmag,gmag)
printf("%12.6f%12.6f%12.6f%12.6f",strawman.tsx,strawman.osx,strawman.oesx,gsx)
printf("%12.6f%12.6f%12.6f%12.6f",strawman.tsy,strawman.osy,strawman.oesy,gsy)
printf("%12.6e%12.6e%12.6e%12.6e",strawman.tbe,strawman.obe,strawman.oebe,gbe)
printf("%12.6f %9.6f",strawman.orchsq,strawman.oerchsq)
printf("%3d%12.5f",strawman.oniter,strawman.ochisq)
printf("\n")

} # i rof

if (verbose) {
printf("#   (1)(2)   (3)       (4)     (5)       (6)       (7)       (8)")
printf("    (9)       (10)      (11)      (12)   (13)      (14)     (15)")
printf("      (16)    (17)       (18)       (19)   (20)   (21)    (22)\n")
printf("#\n")
printf("#  (1) trial number\n")
printf("#  (2) method (1=analytical, 2=digital)\n")
printf("#  (3) true stellar magnitude\n")
printf("#  (4) measured \"\n")
printf("#  (5) error    \"\n")
printf("#  (6) guess    \"\n")
printf("#  (7) true X position of star\n")
printf("#  (8) measured \"\n")
printf("#  (9) error    \"\n")
printf("# (10) guess    \"\n")
printf("# (11) true Y position of star\n")
printf("# (12) measured \"\n")
printf("# (13) error    \"\n")
printf("# (14) guess    \"\n")
printf("# (15) true background constant \"\n")
printf("# (16) measured \"\n")
printf("# (17) error    \"\n")
printf("# (18) guess    \"\n")
printf("# (19) reduced chi-square\n")
printf("# (20) error    \"\n")
printf("# (21) number of fitting iterations\n")
printf("# (22) chi-square\n")
printf("#\n")
printf("# NGST=%s\n", version)
printf("#\n")
}

ciao:
if (verbose) print  ( "NGST: END" )
end
#
