images
tv
stsdas
graphics
stplot
keep
{#
# IRAF/MXTOOLS/WFPC2COLOR script: demowfpc2color.cl
#
# Analyze HST WFPC2 observation (WF3) of the 
# Galactic globular cluster NGC 362
#
# usage:
#
# cl> cl < mxtools$/src/wfpc2color/demo/demowfpc2color.cl
#

!echo "#"
!echo "# demowfpc2color.cl: START @ "`date` "======================"
!echo "#"

!echo "#"
!echo "#"
!\mv .demowfpc2color_start /tmp >& /dev/null
!\mv .demowfpc2color_stop /tmp >& /dev/null
!date > .demowfpc2color_start
!echo "# --> wfpc2color: START @ "`cat .demowfpc2color_start` 

demoqdphot

!\mv ngc362.mag /tmp >& /dev/null
unlearn wfpc2color
wfpc2color \
  in1="ngc362b3.imag" \
  in2="ngc362v3.imag" \
  image1="mxtools$data/ngc362b3.fits" \
  image2="mxtools$data/ngc362v3.fits" \
  gain1=14.0 \
  apcor1=-0.2 \
  > ngc362.mag

!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# Show the last 90 lines of the WFPC2COLOR results"
!tail -90 ngc362.mag

!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# Now plot WFPC2COLOR results as a Color-Magnitude Diagram (CMD)"
!echo "# using the MXTOOLS command QDCMD:"
!echo "#"
!echo 'qdcmd magfile="ngc362.mag" device="stdgraph" mncolor=-0.3 mxcolor=1.8 \'
!echo '  mnmag=12.5 mxmag=22.5 xlabel="B - V [mag]" ylabel="V [mag]" \'
!echo '  title="HST WFPC2 observations of the Galactic globular cluster NGC362"'

gflush
unlearn qdcmd
qdcmd \
  magfile="ngc362.mag" \
  mncolor=-0.3 \
  mxcolor=1.8 \
  mnmag=12.5 \
  mxmag=22.5 \
  xlabel="B - V [mag]" \
  ylabel="V [mag]" \
  title="HST WFPC2 observations of the Galactic globular cluster NGC362"

!echo " "
!echo " "
!echo "#"
!echo "#"
!echo "# That's all folks\!"
!echo "#"
!echo "# demowfpc2color.cl:  STOP @ "`date` "======================"
!echo "#"
#bye

}
#



