
/*      FILE: iraf_geti.c
 *   PURPOSE: Get an integer IRAF parameter.
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001MAY30
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "wfpc2color.h"

int wfpc2color2_IrafParIntegerGet_v4 (
 char text[],
 int defaulti,
 int *valuei_p,
 int *is_INDEF_p
){

  char mxfunc[] = "wfpc2color2_IrafParIntegerGet_v4";
  int status = 1;
  int mxstatus = 0;
  int valuei;
  int is_INDEF;
  long int i;

  i = c_clgetl (text);
  /* CVOS error? */
  if (mxiraf_cvos_error_check_f0()) {mxstatus=1; goto mx_error1;}
  is_INDEF = (i == IRAF_INDEFI);
  if (is_INDEF) i = defaulti;
  valuei = i;

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, mxstatus, MX.tmpmsg);
  goto bye;

bye:
  *valuei_p = valuei;
  *is_INDEF_p = is_INDEF;
  return(status);

}
/* end-of-file */
