
/*      FILE: par_print.c
 *   PURPOSE: Print a wfpc2color2_ParS.
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001MAY22
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "wfpc2color.h"

void wfpc2color2_ParS_Print_v2 (
  wfpc2color2_ParS *ParS,
  FILE *ofp
){

  char mxfunc[] = "wfpc2color2_ParS_Print_v2";
  int status;
  int isNullFile;
  char *tag[] = { "\0", "[<--INDEF]" };
  int j;

  isNullFile = ((FILE *)NULL == ofp);
  if (isNullFile) goto bye;

  wfpc2color2_Banner_v2 (ofp, "#");

  fprintf (ofp, "# wfpc2color\n");
  fprintf (ofp, "#        in1 = \"%s\"\n", ParS->in[1]);
  fprintf (ofp, "#        in2 = \"%s\"\n", ParS->in[2]);

for (j=1; j<3; j++) {
  fprintf (ofp, "#    (image%d = \"%s\" )%s\n", 
    j, ParS->image[j], tag[ParS->image_is_INDEF[j]]);
}

  fprintf (ofp, "#     (field = \"%s\")%s\n", 
    ParS->field, tag[ParS->field_is_INDEF] );

for (j=1; j<3; j++) {
  fprintf (ofp, "#   (ccdnum%d = %d )%s\n",  
    j, ParS->ccdnum[j], tag[ParS->ccdnum_is_INDEF[j]] );
  fprintf (ofp, "#     (imag%d = \"%s\" )%s\n", 
    j, ParS->imag[j], tag[ParS->imag_is_INDEF[j]] );
  fprintf (ofp, "#   (atodgn%d = %g )%s\n",  
    j, ParS->atodgn[j], tag[ParS->atodgn_is_INDEF[j]] );
  fprintf (ofp, "#   (expsec%d = %g )%s\n",  
    j, ParS->expsec[j], tag[ParS->expsec_is_INDEF[j]] );
  fprintf (ofp, "#     (gain%d = %g )%s\n",  
    j, ParS->gain[j], tag[ParS->gain_is_INDEF[j]] );
  fprintf (ofp, "#     (smag%d = \"%s\" )%s\n", 
    j, ParS->smag[j], tag[ParS->smag_is_INDEF[j]] );
  fprintf (ofp, "#       (t1%d = %g )%s\n",  
    j, ParS->t1[j], tag[ParS->t1_is_INDEF[j]] );
  fprintf (ofp, "#       (t2%d = %g )%s\n",  
    j, ParS->t2[j], tag[ParS->t2_is_INDEF[j]] );
  fprintf (ofp, "#        (z%d = %g )%s\n",  
    j, ParS->z[j], tag[ParS->z_is_INDEF[j]]);
  fprintf (ofp, "#     (cmin%d = %g )%s\n",  
    j, ParS->cmin[j], tag[ParS->cmin_is_INDEF[j]] );
  fprintf (ofp, "#     (cmax%d = %g )%s\n",  
    j, ParS->cmax[j], tag[ParS->cmax_is_INDEF[j]] );
  fprintf (ofp, "#     (zsyn%d = %g )%s\n",  
    j, ParS->zsyn[j], tag[ParS->zsyn_is_INDEF[j]] );
  fprintf (ofp, "#     (aimag%d = %g )%s\n",  
    j, ParS->aimag[j], tag[ParS->aimag_is_INDEF[j]] );
  fprintf (ofp, "#     (asmag%d = %g )%s\n",  
    j, ParS->asmag[j], tag[ParS->asmag_is_INDEF[j]] );
  fprintf (ofp, "#     (apcor%d = %g )%s\n",  
    j, ParS->apcor[j], tag[ParS->apcor_is_INDEF[j]] );
  fprintf (ofp, "#     (delta%d = %g )%s\n",  
    j, ParS->delta[j], tag[ParS->delta_is_INDEF[j]] );
  fprintf (ofp, "#      (xcte%d = %g )%s\n",  
    j, ParS->xcte[j], tag[ParS->xcte_is_INDEF[j]] );
  fprintf (ofp, "#      (ycte%d = %g )%s\n",  
    j, ParS->ycte[j], tag[ParS->ycte_is_INDEF[j]] );
  fprintf (ofp, "#     (mxerr%d = %g )%s\n",  
    j, ParS->mxerr[j], tag[ParS->mxerr_is_INDEF[j]] );
}

bye:
  return;

}
/* end-of-file */
