
/*      FILE: par_put.c
 *   PURPOSE: Put wfpc2color2_ParS parameters
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001JUN08
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include "mx.h"
#include "wfpc2color.h"

int wfpc2color2_ParS_Put_i1 (
  wfpc2color2_ParS *ParS
){
  char mxfunc[] = "wfpc2color2_ParS_Put_i1";
  int status = 0;

  if (ParS->SIGN!=-1) {
    c_clpstr ("oc1txt", ParS->SMAG[1]);
    if (mxiraf_cvos_error_check_f0()) {status=1; goto mx_error1;}
    c_clpstr ("oc3txt", ParS->SMAG[2]);
    if (mxiraf_cvos_error_check_f0()) {status=2; goto mx_error1;}
  } else { /* switch columns */
    c_clpstr ("oc1txt", ParS->SMAG[2]);
    if (mxiraf_cvos_error_check_f0()) {status=3; goto mx_error1;}
    c_clpstr ("oc3txt", ParS->SMAG[1]);
    if (mxiraf_cvos_error_check_f0()) {status=4; goto mx_error1;}
  }
  c_clpstr ("oc5txt", ParS->SCOL);
  if (mxiraf_cvos_error_check_f0()) {status=5; goto mx_error1;}
  c_clpstr ("oc7txt", ParS->IMAG[1]);
  if (mxiraf_cvos_error_check_f0()) {status=6; goto mx_error1;}
  c_clpstr ("oc8txt", ParS->IMAG[2]);
  if (mxiraf_cvos_error_check_f0()) {status=6; goto mx_error1;}

ok:
  status = 0;
  goto bye;

mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  status = 1;
  goto bye;

bye:
  return(status);

}
/* end-of-file */









