/*      FILE: wfpc2color.c
 *   PURPOSE: Transform WFPC2 instrumental magnitudes to standard UBVRI colors
 *    AUTHOR: Kenneth J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001JUL04
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#include <mx.h>
#include "wfpc2color.h"

IRAFTASK (wfpc2color) {
 int i;
 extern int iraf_wfpc2color2 (void);
 i = iraf_wfpc2color2 ();
}

/* 
 * ############################################################################
 */
int iraf_wfpc2color2(void) {

  char mxfunc[] = "iraf_wfpc2color2";
  int status;

  wfpc2color2_ParS ParS;

  status = mxp_init_f0();
  if (status) {status=1; goto mx_error;}

  status = wfpc2color2_ParS_Get_i1 (&ParS);
  if (status) {status=2; goto mx_error2;}

  status = wfpc2color2_Convert_i1 (&ParS);
  if (status) {status=2; goto mx_error2;}

  status = wfpc2color2_ParS_Put_i1 (&ParS);
  if (status) {status=2; goto mx_error2;}

  wfpc2color2_ParS_Print_v2 (&ParS, stdout);


ok:
  status = 0;
  goto bye;

mx_error:
mx_error1:
  mxp_tmpmsg_init_f0();
mx_error2:
  mxp_errmsg_append_f3 (mxfunc, status, MX.tmpmsg);
  mxp_tmpmsg_init_f0();
  mxp_errmsg_dump_f0();
  goto bye;

bye:
  fflush (stdout);
  return(status);
}
/* end-of-file */


