      
/*      FILE: wfpc2color.h
 *   PURPOSE: WFPC2COLOR routines *must* include this file!
 *    AUTHOR: K. J. Mighell (mighell@noao.edu)
 *  LANGUAGE: ANSI C
 *      DATE: 2001 MAY 22
 * COPYRIGHT: (C) 2001 Assoc. of Universities for Research in Astronomy Inc.
 */

#ifndef WFPC2COLOR_H

# define WFPC2COLOR_H        "WFPC2COLOR2"
# define WFPC2COLOR_AUTHOR   "Kenneth J. Mighell"
# define WFPC2COLOR_EMAIL    "mighell@noao.edu"
# define WFPC2COLOR_URL      "http://www.noao.edu/staff/mighell/?"
# define WFPC2COLOR_COPYLEFT "Copyleft (L) 2001 Kenneth J. Mighell"
# define WFPC2COLOR_DATE     "2001JUL04"
# define WFPC2COLOR_MOD      0
# define WFPC2COLOR_VERSION1 "2001APR19"
# define WFPC2COLOR_VERSION  "2001LUL04"

# define WFPC2_GAIN_INDEF 0L
# define WFPC2_GAIN_LOW   1L
# define WFPC2_GAIN_HIGH  2L

typedef struct {
  char filtnam1[9+1];
  int filtnam1_is_INDEF;
  double exptime;
  int exptime_is_INDEF;
  int detector;
  int detector_is_INDEF;
  double atodgain;
  int atodgain_is_INDEF;
} wfpc2color2_KeyS;

typedef struct {
  double xd;
  double yd;
     int idi;
  double magd;
  double errd;
} wfpc2color2_ImagS;

typedef struct {
wfpc2color2_KeyS KeyS[3];
     int idim[3];
     int instars[3];
wfpc2color2_ImagS *ImagS[3];
    char field[16+1];
     int field_is_INDEF;
     int ccdnum[3];
     int ccdnum_is_INDEF[3];
    char imag[3][9+1];
     int imag_is_INDEF[3];
    char IMAG[3][9+1];
  double atodgn[3];
     int atodgn_is_INDEF[3];
     int wfpc2_gain[3];
  double expsec[3];
     int expsec_is_INDEF[3];
    char smag[3][9+1];
     int smag_is_INDEF[3];
    char SMAG[3][9+1];
     int SINDEX[3];
  double gain[3];
     int gain_is_INDEF[3];
  double t1[3];
     int t1_is_INDEF[3];
  double T1[3];
  double t2[3];
     int t2_is_INDEF[3];
  double T2[3];
  double z[3];
     int z_is_INDEF[3];
  double Z[3];
  double cmin[3];
     int cmin_is_INDEF[3];
  double cmax[3];
     int cmax_is_INDEF[3];
  double zsyn[3];
     int zsyn_is_INDEF[3];
  double ZSYN[3];
  double aimag[3];
     int aimag_is_INDEF[3];
  double asmag[3];
     int asmag_is_INDEF[3];
    char in1[MX_IRAF_SZ_FNAME+1];
    char in2[MX_IRAF_SZ_FNAME+1];
    char in[3][MX_IRAF_SZ_FNAME+1];
    char image1[MX_IRAF_SZ_FNAME+1];
    char image2[MX_IRAF_SZ_FNAME+1];
    char image[3][MX_IRAF_SZ_FNAME+1];
     int image_is_INDEF[3];
     int image2_is_image1;
  double apcor[3];
     int apcor_is_INDEF[3];
  double delta[3];
     int delta_is_INDEF[3];
  double xcte[3];
     int xcte_is_INDEF[3];
  double ycte[3];
     int ycte_is_INDEF[3];
  double mxerr[3];
     int mxerr_is_INDEF[3];
    char scol[16];
    char scol_default[16];
    char SCOL[5+1];
    char oc1txt[15+1];
    char oc3txt[15+1];
    char oc5txt[15+1];
    char oc7txt[15+1];
    char oc8txt[15+1];
     int flipper;
     int SIGN;
     int do_transform;
     int transform_standard;
     int transform_custom;
} wfpc2color2_ParS;

int wfpc2color2_ParS_Get_i1 (
  wfpc2color2_ParS *ParS
);

void wfpc2color2_ParS_Print_v2 (
  wfpc2color2_ParS *ParS,
  FILE *ofp
);

int wfpc2color2_ParS_ImagS_File_i2 (
  wfpc2color2_ParS *ParS,
  int index
);

void wfpc2color2_Banner_v2 (
  FILE *ofp,
  char *tag
);

int wfpc2color2_Convert_i1 (
  wfpc2color2_ParS *ParS
);

int wfpc2color2_KeyS_Get_i2 (
  wfpc2color2_ParS *ParS,
  int index
);

extern int wfpc2color2_IrafParDoubleGet_v4 (
 char text[],
 double defaultd,
 double *valued_p,
 int *is_INDEF_p
);

extern int wfpc2color2_IrafParStringGet_v5 (
 char text[],
 char default_value[],
 char value[],
 int maxch,
 int *is_INDEF_p
);

extern int wfpc2color2_IrafParIntegerGet_v4 (
 char text[],
 int defaulti,
 int *valuei_p,
 int *is_INDEF_p
);

extern int wfpc2color2_Check_Transform_i1 (
  wfpc2color2_ParS *ParS
);

extern int wfpc2color2_ParS_Get_i1 (
  wfpc2color2_ParS *ParS
);

#endif
/* end-of-file */










